$(function () {
	getAllSpaceEducationCourse();
	$( '#course_DIV_file' ).prettyFile();
	$('#course_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true,
        endDate : new Date()
    });
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {

		    	 "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
                 "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
                 "bDestroy" : true,       //销毁表格对象
                 "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
                 "searching": false,//禁用搜索（搜索框）
                 "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
                 "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
                 "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
                 "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
                 //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
                 "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
                 //"bFilter" : true, //是否启动过滤、搜索功能
                 "bAutoWidth": false,
        		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
                 /*   "iDisplayLength": 5,
                    "iDisplayStart": 0,*/
                 "select": {
                     style: 'os',
                     selector: 'td:first-child'
                 },



                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"Notice/getAllNotice",
                     "dataType": "json"
                 },
                 "columns": [//对接收到的json格式数据进行处理，data为json中对应的key
                     { "sTitle": "公告标题",   "mData": "title" },
                     { "sTitle": "公告时间",  "mData": "time" },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}

                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },
		} );
       /*  $('#hidden-table-info_filter input').on( 'keyup change', function () {
             // alert(this.value);
           //  $("#hidden-table-info tbody").removeHighlight();
             if(this.value!=""){
             	/!*var name=this.value();
                 $('#hidden-table-info').dataTable( {
                     "sAjaxSource": "sources/data.txt",
                     "sAjaxDataProp": data.name,
                 } );
				 alert(this.value)*!/
             }
         });*/
		     sitesInformationGetAllSpace();
			    $('#space_DIV_tag').multiSelect({
					 selectableHeader: "<input type='button' class='form-control search-input' value=\"全部选择\" onclick=\"multiSelect_select_all('space_DIV_tag')\"><input type='text' class='form-control search-input' autocomplete='off' placeholder='搜索...'>",
					    selectionHeader: "<input type='button' class='form-control search-input' value=\"全部取消\" onclick=\"multiSelect_deselect_all('space_DIV_tag')\"><input type='text' class='form-control search-input' autocomplete='off' placeholder='搜索...'>",
				    afterInit: function (ms) {
				        var that = this,
				            $selectableSearch = that.$selectableUl.prev(),
				            $selectionSearch = that.$selectionUl.prev(),
				            selectableSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selectable:not(.ms-selected)',
				            selectionSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selection.ms-selected';

				        that.qs1 = $selectableSearch.quicksearch(selectableSearchString)
				            .on('keydown', function (e) {
				                if (e.which === 40) {
				                    that.$selectableUl.focus();
				                    return false;
				                }
				            });

				        that.qs2 = $selectionSearch.quicksearch(selectionSearchString)
				            .on('keydown', function (e) {
				                if (e.which == 40) {
				                    that.$selectionUl.focus();
				                    return false;
				                }
				            });
				    },
				    afterSelect: function () {
				        this.qs1.cache();
				        this.qs2.cache();
				    },
				    afterDeselect: function () {
				        this.qs1.cache();
				        this.qs2.cache();
				    }
				});	     
		     
})

}
function searchTitle(){
	var title=$("#title").val();
    $('#hidden-table-info').DataTable().ajax.url( webroot+"Notice/getAllNotice?title="+title).load();
}
function multiSelect_deselect_all(id){
	$("#"+id).multiSelect('deselect_search_all');
}
function multiSelect_select_all(id){
	$("#"+id).multiSelect('select_search_all');
}
/**
 * 添加或修改课程div显示
 * @param id
 * @returns
 */
function course_DIV_Show(id){
	if(id == "0"){
		$("#course_DIV_id").val("0");			//id
		$("#course_DIV_title").val("");			//公告标题
		$("#course_DIV_time").val("");		//公告时间
		$("#course_DIV_time_div .input-group.date").datepicker('setStartDate',null);
		CKEDITOR.instances.course_DIV_content.setData("");
		$("#course_DIV_file_ID").val("");	//文件id
		$("#course_DIV_file_Name").val("");	//文件名称
		$("#course_file_div").empty();
		$("#course_file_div").html('<input type="file" id="course_DIV_file" name="mainfile" class="form-control" >');
		$( '#course_DIV_file' ).prettyFile();
		$('#course_DIV').modal('show');
	}else {
		$("#course_file_div").empty();
		$("#course_file_div").html('<input type="file" id="course_DIV_file" name="mainfile" class="form-control" >');
		$( '#course_DIV_file' ).prettyFile();
		var data={};
		data['noticeID'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"Notice/getOneNotice",
			data : JSON.stringify(data),
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var notice=result.notice;
				$("#course_DIV_title_2").html(notice.title);			//公告标题
				$("#course_DIV_time_2").html(notice.time);		//公告时间
				$("#course_DIV_content_2").html(notice.content);
				$("#course_DIV_file_ID_2").val(notice.fileID);	//文件id
				$("#course_DIV_file_Name_2").html(notice.fileName);	//文件名称
				$('#course_DIV_2').modal('show');
			}
		});	
	}
	
}
/**
 * 保存一个课程
 * 2017年3月13日13:47:40
 * @author 20170251
 * 
 * @returns
 */
function course_DIV_save(){
	var courseFileID=$("#course_DIV_file_ID").val();	//文件id
	var courseFileName=$("#course_DIV_file_Name").val();	//文件名称
	if(fileChangeNo("course_DIV_file")==true){
		if(pdfFileChange("course_DIV_file")==false){
			return;
		}
		$("#course_DIV_ZZSC").show();
		$("#course_DIV_SC").hide();
		$.ajaxFileUpload({  
		    url: webroot+'File/upload',  
		    secureuri:false, 
		    dataType: 'json',
		    fileElementId : ["course_DIV_file"],  
		    success: function (data){//上传成功
		    	$("#course_DIV_ZZSC").hide();
		    	$("#course_DIV_SC").show();
		    	courseFileName=data.fileName;
		    	courseFileID=data.fileID;
		    	var id=$("#course_DIV_id").val();			//id
		    	var title=$("#course_DIV_title").val();	//公告标题
		    	var time=$("#course_DIV_time").val();		//公告时间
		    	var content=CKEDITOR.instances.course_DIV_content.getData();//公告内容
		    	var data={};
		    	data['time'] = time;
		    	data['title'] = title;
		    	data['id'] = id;
		    	data['content'] = content;
		    	data['fileID'] = courseFileID;
		    	data['fileName'] = courseFileName;
		    	$.ajax({
		    		type : "POST",
		    		url : webroot+"Notice/saveOneNotice",
		    		data : JSON.stringify(data) ,
		    		async:false,
		    		contentType:'application/json;charset=UTF-8',
		    		success : function(result) {
		    			if(result.result==true){
		    				//alert(result.msg);
		    				swal("成功！", result.msg, "success");
		    				//page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
		    				//getAllSpaceEducationCourse();
		    				$('#hidden-table-info').DataTable().draw(false);
		    				
		    				$('#course_DIV').modal('hide');
		    			}else{
		    				//alert(result.msg);
		    				swal("失败！", result.msg, "error");
		    			}
		    		}
		    	});	
	        }
		});
	}else{
		var id=$("#course_DIV_id").val();			//id
    	var title=$("#course_DIV_title").val();	//公告标题
    	var time=$("#course_DIV_time").val();		//公告时间
    	var content=CKEDITOR.instances.course_DIV_content.getData();//公告内容
    	var data={};
    	data['time'] = time;
    	data['title'] = title;
    	data['id'] = id;
    	data['content'] = content;
    	data['fileID'] = courseFileID;
    	data['fileName'] = courseFileName;
    	$.ajax({
    		type : "POST",
    		url : webroot+"Notice/saveOneNotice",
    		data : JSON.stringify(data) ,
    		async:false,
    		contentType:'application/json;charset=UTF-8',
    		success : function(result) {
    			if(result.result==true){
    				//alert(result.msg);
    				swal("成功！", result.msg, "success");
//    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//    				getAllSpaceEducationCourse();
    				$('#hidden-table-info').DataTable().draw(false);
    				$('#course_DIV').modal('hide');
    			}else{
    				//alert(result.msg);
    				swal("失败！", result.msg, "error");
    			}
    		}
    	});	
	}
	
}
function course_DIV_close(){
	$('#course_DIV').modal('hide');
	$('#course_DIV_2').modal('hide');
}
function course_DIV_file_2(){
	var id=$("#course_DIV_file_ID_2").val();
	window.open(webroot+"File/downFileByFileId?id="+id);
}
function getAllNotice_send(id){
	
	$("#course_DIV_send_id").val(id);
	$('#course_DIV_send').modal('show');
	$("#space_DIV_tag").multiSelect('deselect_all');
	
}
function getAllNotice_send2(){
	
	var data={};
	data['noticeID'] = $("#course_DIV_send_id").val();
	data['sendid'] =$("#space_DIV_tag").val();
	$.ajax({
		type : "POST",
		url : webroot+"Notice/sendNotice",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				$('#course_DIV_send').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
}
function sitesInformationGetAllSpace()
{
	 $.ajax({
			type : "POST",
			url : webroot+"SitesInformation/getAllSpace",
			data : "" ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var list=result.list;
				var html="";
				if(list!=null)
				{
					AllSpace=list;
					for(var list_i in list)
					{
		       			html+="<option value=\""+list[list_i].id+"\" id=\"list_member_"+list[list_i].id+"\">"+list[list_i].name+"</option>"
					}
				}
       	
				$("#space_DIV_tag").html(html);
			}
		});
}