//**********************************全局变量*****************************************************
/**
 * js全局变量
 * 成员list
 */
var projectTeamMember_list=new Array();

/**
 * js全局变量
 * 贷款list
 */
var projectApplyLoanBank_list=new Array();
/**
 * js全局变量
 * 融资list
 */
var projectFinancing_list=new Array();

/**
 * js全局变量
 * 营业额list
 */
var projectTurnover_list=new Array();
/**
 * js全局变量
 * 营业额最大id
 */
var projectTurnoverlist_max_id=1;
/**
 * js全局变量
 * 贷款最大id
 */
var projectApplyLoanBank_list_max_id=1;
/**
 * js全局变量
 * 融资最大id
 */
var projectFinancing_list_max_id=1;
/**
 * js全局变量
 * 贷款修改标记
 */
var projectApplyLoanBank_list_update_id=1;
/**
 * js全局变量
 * 融资修改标记
 */
var projectFinancing_list_update_id=1;
/**
 * js全局变量
 * 营业额修改标记
 */
var projectTurnover_list_update_id=1;
/**
 * js全局变量 纳税list
 */
var tax_Payment_list = new Array();
/**
 * js全局变量 纳税最大id
 */
var teamTayPayment_list_max_id = 1;
/**
 * js全局变量 纳税修改标记
 */
var teamTayPayment_list_update_id = 1;
/**
 * js全局变量 纳税情况
 * 
 * @param id
 *            js_id
 * @param year
 *            年份
 * @param money
 *            金额
 * @returns
 */
function teamTayPayment_class(id, year, money) {
	var teamTayPayment_i = new Object;
	teamTayPayment_i.id = id;
	teamTayPayment_i.year = year;
	teamTayPayment_i.money = money;
	return teamTayPayment_i;
}
/**
 * js全局变量
 * 成员类
 * @param projectTeamMemberID 成员id
 */
function projectTeamMember_class(projectTeamMemberID){ 
	var projectTeamMember_i = new Object; 
	projectTeamMember_i.memberID = projectTeamMemberID;			//成员id
	return projectTeamMember_i; 
}
/**
 * js全局变量
 * 营业额类
 * @param id
 * @param year	年份
 * @param turnover	营业额
 * @returns
 */
function projectTurnover_class(id,year,turnover){ 
	var projectTurnover_i = new Object; 
	projectTurnover_i.id = id;			//js_id
	projectTurnover_i.year = year; //年份
	projectTurnover_i.turnover = turnover;	//营业额
	return projectTurnover_i; 
}
/**
 * js全局变量
 * 贷款类
 * @param id
 * @param applyLoanBank 贷款银行
 * @param applyLoanAgeLimit 贷款偿还年限
 * @param applyLoanMoney 贷款金额
 * @param applyLoanMoneyRate 贷款利率
 * @returns
 */
function projectApplyLoanBank_class(id,applyLoanBank,applyLoanAgeLimit,applyLoanMoney,applyLoanMoneyRate){ 
	var projectApplyLoanBank_i = new Object; 
	projectApplyLoanBank_i.id = id;			//js_id
	projectApplyLoanBank_i.applyLoanBank = applyLoanBank; //贷款银行
	projectApplyLoanBank_i.applyLoanAgeLimit = applyLoanAgeLimit;	//贷款偿还年限
	projectApplyLoanBank_i.applyLoanMoney = applyLoanMoney;	//贷款金额
	projectApplyLoanBank_i.applyLoanMoneyRate = applyLoanMoneyRate;	//贷款利率
	return projectApplyLoanBank_i; 
}
/**
 * js全局变量
 * 融资类
 * @param id
 * @param financingInvestor	融资投资人
 * @param financingMoney	融资投资金额
 * @param financingRatio	融资占股比例
 * @param investContractFileID	投资合同文件id
 * @param investContractName	投资合同文件id
 * @returns
 */
function projectFinancing_class(id,financingInvestor,financingMoney,financingRatio,investContractFileID,investContractName,financingState){ 
	var projectFinancing_i = new Object; 
	projectFinancing_i.id = id;			//js_id
	projectFinancing_i.financingState = financingState;	//融资状态
	projectFinancing_i.financingInvestor = financingInvestor; //融资投资人
	projectFinancing_i.financingMoney = financingMoney;	//融资投资金额
	projectFinancing_i.financingRatio = financingRatio;	//融资占股比例
	projectFinancing_i.investContractFileID = investContractFileID;	//投资合同文件id
	projectFinancing_i.investContractName = investContractName;	//投资合同文件名称
	return projectFinancing_i; 
}

//**********************************页面加载*****************************************************
$(function () {
	getprojectTeamMember();
	//getcompanyRegisterIF();
	if(get_project_id!="null")
	{
		$("#project_information_title").html("查看项目");
		$("#project_saveTemp").show();
	}
	
	indexAllChosenselect();
	
	//页面样式加载==============================
	$(document).ready(function () {
	    $('.i-checks').iCheck({
	        checkboxClass: 'icheckbox_square-green',
	        radioClass: 'iradio_square-green',
	    });
	});
	$( '#projectPlanbookFile_DIV input[type="file"]' ).prettyFile();
	$( '#restFile_DIV input[type="file"]' ).prettyFile();
	if(get_project_id!="null")
	{
		getproject();
	}
	
})


function indexAllChosenselect()
{
	//获取全部用户======================================================
	var config = {
            '.chosen-select': {},
            '.chosen-select-deselect': {
                allow_single_deselect: true
            },
            '.chosen-select-no-single': {
                disable_search_threshold: 10
            },
            '.chosen-select-no-results': {
                no_results_text: 'Oops, nothing found!'
            },
            '.chosen-select-width': {
                width: "95%"
            }
            
        }
        for (var selector in config) {
            $(selector).chosen(config[selector]);
        }
}

function getprojectTeamMember(){
	 $.ajax({
			type : "POST",
			url : webroot+"SitesInformation/getAllMember",
			data : "" ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var list=result.list;
				var html="";
				if(list!=null)
				{
					AllMember=list;
					for(var list_i in list)
					{
		       			html+="<option value=\""+list[list_i].id+"\" hassubinfo=\"true\">"+list[list_i].name+"</option>"
					}
				}
    	
				$("#id_projectTeamMember").html(html);
			}
		});
}
//纳税 ==================================================================
/**
 * 纳税信息
 * 
 * @param taxPaymentId
 * @returns
 */
function tax_Payment_Show(taxPaymentId) {
	if (taxPaymentId == "0") {
		$("#tax_Payment_id").val(""); // id
		$("#tax_Payment_Data").val(""); // 日期
		$("#tax_Payment_Money").val(""); // 金额
		$("#id_tax_Payment_delete").hide();
	} else {
		for ( var teamTayPayment_i in tax_Payment_list) {
			if (tax_Payment_list[teamTayPayment_i].id == parseInt(taxPaymentId)) {
				$("#tax_Payment_id").val(tax_Payment_list[teamTayPayment_i].id); // id
				$("#tax_Payment_Data").val(tax_Payment_list[teamTayPayment_i].year); // 日期
				$("#tax_Payment_Money").val(tax_Payment_list[teamTayPayment_i].money); // 金额
			}
		}
		$("#id_tax_Payment_delete").show();
	}
	$('#tax_Payment').modal('show');
}
/**
 * 保存纳税信息
 * 
 * @returns
 */
function tax_Payment_save() {
	var id = $("#tax_Payment_id").val();// id
	var year = $("#tax_Payment_Data").val(); // 日期
	var money = $("#tax_Payment_Money").val(); // 金额
	if($.trim(year)==""){
		//alert("请填写日期");
		swal("失败！", "请填写年份", "error");
		return;
	}
	if($.trim(money)==""){
		//alert("请填写金额");
		swal("失败！", "请填写金额", "error");
		return;
	}
	if (id == "") {
		id = teamTayPayment_list_max_id;
		teamTayPayment_list_max_id++;
	} else {
		for ( var teamTayPayment_i in tax_Payment_list) {
			if (tax_Payment_list[teamTayPayment_i].id == id) {
				tax_Payment_list.splice(teamTayPayment_i, 1);
				break;
			}
		}
	}
	
	var teamTayPayment_i = teamTayPayment_class(id, year, money);
	tax_Payment_list.push(teamTayPayment_i);
	tax_Payment_List_Show();
	teamTayPayment_list_update_id = 0;
	$('#tax_Payment').modal('hide');
}

/**
 * 删除纳税信息
 * 
 * @returns
 */
function tax_Payment_delete() {
	var id = $("#tax_Payment_id").val();// id
	if (id != "") {
		for ( var teamTayPayment_i in tax_Payment_list) {
			if (tax_Payment_list[teamTayPayment_i].id == id) {
				tax_Payment_list.splice(teamTayPayment_i, 1);
				break;
			}
		}
	}
	tax_Payment_List_Show();
	teamTayPayment_list_update_id = 0;
	$('#tax_Payment').modal('hide');
}
/**
 * 取消纳税信息
 * 
 * @returns
 */
function tax_Payment_close() {
	tax_Payment_List_Show();
	$('#tax_Payment').modal('hide');
}
/**
 * 在页面上显示纳税信息
 * 
 * @returns
 */
function tax_Payment_List_Show() {
	var html = "";
	var money = 0;
	for ( var teamTayPayment_i in tax_Payment_list) {
		html += "<div class=\"row project_information_class_hover\" onclick=\"tax_Payment_Show('"
				+ tax_Payment_list[teamTayPayment_i].id + "');\">";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">年份："
				+ tax_Payment_list[teamTayPayment_i].year + "年</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">金额："
				+ tax_Payment_list[teamTayPayment_i].money + "万</label>";
		html += "</div>";
		html += "</div>";
		if (tax_Payment_list[teamTayPayment_i].money != "") {
			money += parseFloat(tax_Payment_list[teamTayPayment_i].money);
		}
	}
	$("#tax_Payment_Show_div").html(html);
	$("#tax_Payment_Number").html("纳税总和：" + money + "万");
}




//营业额 ==================================================================
/**
 * 显示营业额div
 * @param achievementTempID
 * @returns
 */
function turnover_DIV_Show(turnoverID){
	if(turnoverID == "0"){
		if(projectTurnover_list.length>=3){
			//alert("最多保存三个贷款！");
			swal("失败！","最多保存三个营业额！", "error");
			return;
		}
		$("#turnover_DIV_id").val("");			//id
		$("#turnover_DIV_year").val("");		//年份
		$("#turnover_DIV_turnover").val("");		//营业额
		$("#id_turnover_DIV_delete").hide();
	}else {
		for(var projectTurnover_list_i in projectTurnover_list){
			if(projectTurnover_list[projectTurnover_list_i].id == parseInt(turnoverID)){
				$("#turnover_DIV_id").val(projectTurnover_list[projectTurnover_list_i].id );			//id
				$("#turnover_DIV_year").val(projectTurnover_list[projectTurnover_list_i].year);		//贷款银行
				$("#turnover_DIV_turnover").val(projectTurnover_list[projectTurnover_list_i].turnover);		//贷款金额
			}
		}
		$("#id_turnover_DIV_delete").show();
	}
	$('#turnover_DIV').modal('show');
}
/**
 * 保存一个营业额
 * @returns
 */
function turnover_DIV_save(){
	if(projectTurnover_list.length>=3){
		//alert("最多保存三个贷款！");
		swal("失败！","最多保存三个营业额！", "error");
		return;
	}
	var year = $("#turnover_DIV_year").val();		//年份
	var turnover = $("#turnover_DIV_turnover").val();		//营业额
	if(year==""){
		//alert("贷款银行不能为空！");
		swal("失败！","年份不能为空！", "error");
		return;
	}
	if(turnover==""){
		//alert("贷款金额不能为空！");
		swal("失败！","营业额不能为空！", "error");
		return;
	}
	var id=$("#turnover_DIV_id").val();//id
	if(id == ""){
		id = projectTurnoverlist_max_id;
		projectTurnoverlist_max_id++;
	}else {
		for(var projectTurnover_list_i in projectTurnover_list){
			if(projectTurnover_list[projectTurnover_list_i].id == id){
				projectTurnover_list.splice(projectTurnover_list_i,1);
				break;
			}
		}
	}
	
	
	var projectTurnover_list_i = projectTurnover_class(id,year,turnover);
	projectTurnover_list.push(projectTurnover_list_i);
	turnover_DIV_List_Show();
	projectTurnover_list_update_id=0;
	$('#turnover_DIV').modal('hide');
}


/**
 * 删除一个营业额
 * @returns
 */
function turnover_DIV_delete(){
	var id=$("#turnover_DIV_id").val();//id
	if(id != ""){
		for(var projectTurnover_list_i in projectTurnover_list){
			if(projectTurnover_list[projectTurnover_list_i].id == id){
				projectTurnover_list.splice(projectTurnover_list_i,1);
				break;
			}
		}
	}
	turnover_DIV_List_Show();
	projectTurnover_list_update_id=0;
	$('#turnover_DIV').modal('hide');
}
/**
 * 取消修改营业额
 * @returns
 */
function turnover_DIV_close(){
	applyLoan_DIV_List_Show();
	$('#turnover_DIV').modal('hide');
}
/**
 * 在页面上显示全部营业额
 * @returns
 */
function turnover_DIV_List_Show(){
	var html= "";
	var turnoverMoney=0;
	for(var projectTurnover_list_i in projectTurnover_list){
		html += "<div class=\"row project_information_class_hover\" onclick=\"turnover_DIV_Show('"+projectTurnover_list[projectTurnover_list_i].id +"');\">";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">年份："+projectTurnover_list[projectTurnover_list_i].year+"年</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">营业额："+projectTurnover_list[projectTurnover_list_i].turnover+"万</label>";
		html += "</div>";
		html += "</div>";
		if(projectTurnover_list[projectTurnover_list_i].turnover!=""){
			turnoverMoney+=parseFloat(projectTurnover_list[projectTurnover_list_i].turnover);
		}
	}
	$("#turnover_DIV_List_Show_div").html(html);
	$("#turnover_DIV_number").html("营业额总和："+turnoverMoney+"万");
}
//贷款 ==================================================================
/**
 * 显示贷款div
 * @param achievementTempID
 * @returns
 */
function applyLoan_DIV_Show(applyLoanID){
	if(applyLoanID == "0"){
		if(projectApplyLoanBank_list.length>=3){
			//alert("最多保存三个贷款！");
			swal("失败！","最多保存三个贷款！", "error");
			return;
		}
		$("#applyLoan_DIV_id").val("");			//id
		$("#applyLoan_DIV_bank").val("");		//贷款银行
		$("#applyLoan_DIV_money").val("");		//贷款金额
		$("#applyLoan_DIV_moneyRate").val("");	//利率
		$("#applyLoan_DIV_ageLimit").val("");	//偿还年限
		$("#id_applyLoan_DIV_delete").hide();
	}else {
		for(var projectApplyLoanBank_i in projectApplyLoanBank_list){
			if(projectApplyLoanBank_list[projectApplyLoanBank_i].id == parseInt(applyLoanID)){
				$("#applyLoan_DIV_id").val(projectApplyLoanBank_list[projectApplyLoanBank_i].id );			//id
				$("#applyLoan_DIV_bank").val(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanBank);		//贷款银行
				$("#applyLoan_DIV_money").val(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoney);		//贷款金额
				$("#applyLoan_DIV_moneyRate").val(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoneyRate);	//利率
				$("#applyLoan_DIV_ageLimit").val(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanAgeLimit);	//偿还年限
			}
		}
		$("#id_applyLoan_DIV_delete").show();
	}
	$('#applyLoan_DIV').modal('show');
}
/**
 * 保存一个贷款
 * @returns
 */
function applyLoan_DIV_save(){
	if(projectApplyLoanBank_list.length>=3){
		//alert("最多保存三个贷款！");
		swal("失败！","最多保存三个贷款！", "error");
		return;
	}
	var applyLoanBank = $("#applyLoan_DIV_bank").val();		//贷款银行
	var applyLoanMoney = $("#applyLoan_DIV_money").val();		//贷款金额
	var applyLoanMoneyRate = $("#applyLoan_DIV_moneyRate").val();	//利率
	var applyLoanAgeLimit = $("#applyLoan_DIV_ageLimit").val();	//偿还年限
	if(applyLoanBank==""){
		//alert("贷款银行不能为空！");
		swal("失败！","贷款银行不能为空！", "error");
		return;
	}
	if(applyLoanMoney==""){
		//alert("贷款金额不能为空！");
		swal("失败！","贷款金额不能为空！", "error");
		return;
	}
	if(applyLoanMoneyRate==""){
		//alert("利率不能为空！");
		swal("失败！","利率不能为空！", "error");
		return;
	}
	if(applyLoanAgeLimit==""){
		//alert("偿还年限不能为空！");
		swal("失败！","偿还年限不能为空！", "error");
		return;
	}
	var id=$("#applyLoan_DIV_id").val();//id
	if(id == ""){
		id = projectApplyLoanBank_list_max_id;
		projectApplyLoanBank_list_max_id++;
	}else {
		for(var projectApplyLoanBank_i in projectApplyLoanBank_list){
			if(projectApplyLoanBank_list[projectApplyLoanBank_i].id == id){
				projectApplyLoanBank_list.splice(projectApplyLoanBank_i,1);
				break;
			}
		}
	}
	
	
	var projectApplyLoanBank_i = projectApplyLoanBank_class(id,applyLoanBank,applyLoanAgeLimit,applyLoanMoney,applyLoanMoneyRate);
	projectApplyLoanBank_list.push(projectApplyLoanBank_i);
	applyLoan_DIV_List_Show();
	projectApplyLoanBank_list_update_id=0;
	$('#applyLoan_DIV').modal('hide');
}


/**
 * 删除一个贷款
 * @returns
 */
function applyLoan_DIV_delete(){
	var id=$("#applyLoan_DIV_id").val();//id
	if(id != ""){
		for(var projectApplyLoanBank_i in projectApplyLoanBank_list){
			if(projectApplyLoanBank_list[projectApplyLoanBank_i].id == id){
				projectApplyLoanBank_list.splice(projectApplyLoanBank_i,1);
				break;
			}
		}
	}
	applyLoan_DIV_List_Show();
	projectApplyLoanBank_list_update_id=0;
	$('#applyLoan_DIV').modal('hide');
}
/**
 * 取消修改贷款
 * @returns
 */
function applyLoan_DIV_close(){
	applyLoan_DIV_List_Show();
	$('#applyLoan_DIV').modal('hide');
}
/**
 * 在页面上显示全部贷款
 * @returns
 */
function applyLoan_DIV_List_Show(){
	var html= "";
	var applyLoanMoney=0;
	for(var projectApplyLoanBank_i in projectApplyLoanBank_list){
		html += "<div class=\"row project_information_class_hover\" onclick=\"applyLoan_DIV_Show('"+projectApplyLoanBank_list[projectApplyLoanBank_i].id +"');\">";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">贷款银行："+projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanBank+"</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">金额："+projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoney+"万</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">利率："+projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoneyRate+"%</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">偿还年限："+projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanAgeLimit+"年</label>";
		html += "</div>";
		html += "</div>";
		if(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoney!=""){
			applyLoanMoney+=parseFloat(projectApplyLoanBank_list[projectApplyLoanBank_i].applyLoanMoney);
		}
	}
	$("#applyLoan_DIV_List_Show_div").html(html);
	$("#applyLoan_DIV_number").html("贷款总和："+applyLoanMoney+"万");
}
//融资 ==================================================================
/**
 * 显示融资div
 * @param achievementTempID
 * @returns
 */
function financing_DIV_Show(financingID){
	if(financingID == "0"){
		if(projectFinancing_list.length>=3){
			//alert("最多保存三个融资！");
			swal("失败！","最多保存三个融资！", "error");
			return;
		}
		$("#financing_DIV_id").val("");			//id
		$("#financing_DIV_financingState").val("-1");	//融资状态
		$("#financing_DIV_investor").val("");	//投资人
		$("#financing_DIV_money").val("");		//投资金额
		$("#financing_DIV_ratio").val("");		//占股比例
		$("#financing_DIV_file_ID").val("");	//合同文件id
		$("#financing_DIV_file_div").empty();
		$("#financing_DIV_file_div").html('<input type="file" id="financing_DIV_file" name="mainfile" class="form-control" >');
		$( '#financing_DIV_file' ).prettyFile();
		$("#id_financing_DIV_delete").hide();
	}else {
		for(var projectFinancing_i in projectFinancing_list){
			if(projectFinancing_list[projectFinancing_i].id == parseInt(financingID)){
				$("#financing_DIV_id").val(projectFinancing_list[projectFinancing_i].id);			//id
				$("#financing_DIV_financingState").val(projectFinancing_list[projectFinancing_i].financingState);	//投融资阶段
				$("#financing_DIV_investor").val(projectFinancing_list[projectFinancing_i].financingInvestor);	//投资人
				$("#financing_DIV_money").val(projectFinancing_list[projectFinancing_i].financingMoney);		//投资金额
				$("#financing_DIV_ratio").val(projectFinancing_list[projectFinancing_i].financingRatio);		//占股比例
				$("#financing_DIV_file_ID").val(projectFinancing_list[projectFinancing_i].investContractFileID);	//合同文件id
				/*$("#financing_DIV_file_div").empty();
				$("#financing_DIV_file_div").html('<input type="file" id="financing_DIV_file" name="mainfile" class="form-control" >');
				$( '#financing_DIV_file' ).prettyFile();*/
				$("#financing_DIV_file_text").val(projectFinancing_list[projectFinancing_i].investContractName);	//合同文件名称
			
			}
		}
		$("#id_financing_DIV_delete").show();
	}
	$('#financing_DIV').modal('show');
}
/**
 * 保存一个融资
 * @returns
 */
function financing_DIV_save(){
	if(projectFinancing_list.length>=3){
		//alert("最多保存三个融资！");
		swal("失败！","最多保存三个融资！", "error");
		return;
	}
	if($("#financing_DIV_financingState").val()=="-1"){
		//alert("请选择融资状态");
		swal("失败！","请选择融资状态！", "error");
		return;
	}
	var investContractName="";
	var investContractFileID="";
	
	if(fileChangeNo("financing_DIV_file")==true){
		if(pdfFileChange("financing_DIV_file")==false){
			return;
		}
		$("#financing_DIV_ZZSC").show();
		$("#financing_DIV_SC").hide();
		$.ajaxFileUpload({  
		    url: webroot+'File/upload',  
		    secureuri:false, 
		    dataType: 'json',
		    fileElementId : ["financing_DIV_file"],  
		    success: function (data){//上传成功
		    	$("#financing_DIV_ZZSC").hide();
		    	$("#financing_DIV_SC").show();
		    	investContractName=data.fileName;
		    	investContractFileID=data.fileID;
		    	var financingInvestor = $("#financing_DIV_investor").val();	//投资人
		    	var financingMoney = $("#financing_DIV_money").val();		//投资金额
		    	var financingRatio = $("#financing_DIV_ratio").val();		//占股比例
		    	var financingState = $("#financing_DIV_financingState").val();	//融资状态
		    	if(financingInvestor==""){
		    		//alert("投资人不能为空！");
		    		swal("失败！","投资人不能为空！", "error");
		    		return;
		    	}
		    	if(financingState=="-1"){
		    		//alert("请选择融资状态");
		    		swal("失败！","请选择融资状态！", "error");
		    		return;
		    	}
		    	if(financingMoney==""){
		    		//alert("投资金额不能为空！");
		    		swal("失败！","投资金额不能为空！", "error");
		    		return;
		    	}
		    	if(financingRatio==""){
		    		//alert("占股比例不能为空！");
		    		swal("失败！","占股比例不能为空！", "error");
		    		return;
		    	}
		    	if(financingRatio>100){
		    		//alert("占股比例不能为空！");
		    		swal("失败！","占股比例不能大于100！", "error");
		    		return;
		    	}
		    	if(financingState==""){
		    		//alert("融资状态不能为空！");
		    		swal("失败！","融资状态不能为空！", "error");
		    		return;
		    	}
		    	var id=$("#financing_DIV_id").val();//id
		    	if(id == ""){
		    		id = projectFinancing_list_max_id;
		    		projectFinancing_list_max_id++;
		    	}else {
		    		for(var projectFinancing_i in projectFinancing_list){
		    			if(projectFinancing_list[projectFinancing_i].id == id){
		    				projectFinancing_list.splice(projectFinancing_i,1);
		    				break;
		    			}
		    		}
		    	}
		    	
		    	var projectFinancing_i = projectFinancing_class(id,financingInvestor,financingMoney,financingRatio,investContractFileID,investContractName,financingState);
		    	projectFinancing_list.push(projectFinancing_i);
		    	financing_DIV_List_Show();
		    	$('#financing_DIV').modal('hide');
	        }
		});
	}else{
		investContractName = $("#financing_DIV_file_div input[class='input-large form-control']").val();	//合同文件名称
		investContractFileID = $("#financing_DIV_file_ID").val();	//合同文件id
		var financingInvestor = $("#financing_DIV_investor").val();	//投资人
		var financingMoney = $("#financing_DIV_money").val();		//投资金额
		var financingRatio = $("#financing_DIV_ratio").val();		//占股比例
		var financingState = $("#financing_DIV_financingState").val();	//融资状态
		if(financingInvestor==""){
    		//alert("投资人不能为空！");
    		swal("失败！","投资人不能为空！", "error");
    		return;
    	}
    	if(financingMoney==""){
    		//alert("投资金额不能为空！");
    		swal("失败！","投资金额不能为空！", "error");
    		return;
    	}
    	if(financingRatio==""){
    		//alert("占股比例不能为空！");
    		swal("失败！","占股比例不能为空！", "error");
    		return;
    	}
    	if(financingRatio>100){
    		//alert("占股比例不能为空！");
    		swal("失败！","占股比例不能大于100！", "error");
    		return;
    	}
    	if(financingState==""){
    		//alert("融资状态不能为空！");
    		swal("失败！","融资状态不能为空！", "error");
    		return;
    	}
    	if(financingState=="-1"){
    		//alert("请选择融资状态");
    		swal("失败！","请选择融资状态！", "error");
    		return;
    	}
		var id=$("#financing_DIV_id").val();//id
		if(id == ""){
			id = projectFinancing_list_max_id;
			projectFinancing_list_max_id++;
		}else {
			for(var projectFinancing_i in projectFinancing_list){
				if(projectFinancing_list[projectFinancing_i].id == id){
					projectFinancing_list.splice(projectFinancing_i,1);
					break;
				}
			}
		}
		
		var projectFinancing_i = projectFinancing_class(id,financingInvestor,financingMoney,financingRatio,investContractFileID,investContractName,financingState);
		projectFinancing_list.push(projectFinancing_i);
		financing_DIV_List_Show();
		projectFinancing_list_update_id=0;
		$('#financing_DIV').modal('hide');
	}
	
}


/**
 * 删除一个融资
 * @returns
 */
function financing_DIV_delete(){
	var id=$("#financing_DIV_id").val();//id
	if(id != ""){
		for(var projectFinancing_i in projectFinancing_list){
			if(projectFinancing_list[projectFinancing_i].id == id){
				projectFinancing_list.splice(projectFinancing_i,1);
				break;
			}
		}
	}
	financing_DIV_List_Show();
	projectFinancing_list_update_id=0;
	$('#financing_DIV').modal('hide');
}
/**
 * 取消修改融资
 * @returns
 */
function financing_DIV_close(){
	financing_DIV_List_Show();
	$('#financing_DIV').modal('hide');
}
/**
 * 在页面上显示全部融资
 * @returns
 */
function financing_DIV_List_Show(){
	var html= "";
	var financingMoney=0;
	for(var projectFinancing_i in projectFinancing_list){
		html += "<div class=\"row project_information_class_hover\" onclick=\"financing_DIV_Show('"+projectFinancing_list[projectFinancing_i].id +"');\">";
		var financingState="无";
		if(projectFinancing_list[projectFinancing_i].financingState=="1"){
			financingState="种子投资";
		}
		if(projectFinancing_list[projectFinancing_i].financingState=="2"){
			financingState="A轮投资";
		}
		if(projectFinancing_list[projectFinancing_i].financingState=="3"){
			financingState="B轮投资";
		}
		if(projectFinancing_list[projectFinancing_i].financingState=="4"){
			financingState="C轮投资";
		}
		if(projectFinancing_list[projectFinancing_i].financingState=="5"){
			financingState="其他投资";
		}
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">融资状态："+financingState+"</label>";
		html += "</div>";
		html += "<div class=\"col-sm-2\">";
		html += "<label class=\"project_information_class_hover\">投资人："+projectFinancing_list[projectFinancing_i].financingInvestor+"</label>";
		html += "</div>";
		html += "<div class=\"col-sm-2\">";
		html += "<label class=\"project_information_class_hover\">投资金额："+projectFinancing_list[projectFinancing_i].financingMoney+"万</label>";
		html += "</div>";
		html += "<div class=\"col-sm-2\">";
		html += "<label class=\"project_information_class_hover\">占股比例："+projectFinancing_list[projectFinancing_i].financingRatio+"%</label>";
		html += "</div>";
		html += "<div class=\"col-sm-3\">";
		html += "<label class=\"project_information_class_hover\">投资合同："+projectFinancing_list[projectFinancing_i].investContractName+"</label>";
		html += "</div>";
		html += "</div>";
		if(projectFinancing_list[projectFinancing_i].financingMoney!=""){
			financingMoney+=parseFloat(projectFinancing_list[projectFinancing_i].financingMoney);
		}
	}

	$("#financing_DIV_List_Show_div").html(html);
	$("#financing_DIV_number").html("投融资总额："+financingMoney+"万");
}

//**********************************方法*****************************************************
/**
 * 上传项目计划书
 * @author 20170251
 * 2017年3月7日17:56:47
 * @returns
 */
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(pdfFileChange("projectPlanbookFile_file")==false){
			return;
		}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	$("#id_projectPlanbookName").val(data.fileName);
    	    	$("#id_projectPlanbookID").val(data.fileID);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
            }
    	});
    }else{
   //	 alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
	
}
/**
 * 上传项目其他文件
 * @author 20170251
 * 2017年3月7日17:56:47
 * @returns
 */
function restFile_update(){
    if(fileChangeNo("restFile_file")==true){
    	$("#restFile_DIV_ZZSC").show();
    	$("#restFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["restFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#restFile_DIV_ZZSC").hide();
    	    	$("#restFile_DIV_SC").show();
    	    	$("#id_restFileName").val(data.fileName);
    	    	$("#id_restFileID").val(data.fileID);
    	    	$('#restFile_DIV').modal('hide');
    	    	$("#restFile_file_div").empty();
				$("#restFile_file_div").html('<input type="file" id="restFile_file" name="mainfile" class="form-control" >');
				$( '#restFile_file' ).prettyFile();
            }
    	});
    }else{
   	// alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}
/**
 * 保存项目
 * @returns
 */
function project_save(){
	if($("#id_projectName").val()==""){
		//alert("请填写项目名称！");
		swal("失败！", "请填写项目名称", "error");
		return;
	}
	if($("#id_projectAbstruct").val()==""){
		//alert("请填写项目简介！");
		swal("失败！", "请填写项目简介", "error");
		return;
	}
	var projectTeamMember=$("#id_projectTeamMember").val();
	projectTeamMember=projectTeamMember+"";
	if(projectTeamMember==null){
		projectTeamMember="";
	}
	var projectTeamMember_arr=projectTeamMember.split(",");
	for(var projectTeamMember_arr_i in projectTeamMember_arr){
		var projectTeamMember_i= projectTeamMember_class(projectTeamMember_arr[projectTeamMember_arr_i]);
		projectTeamMember_list.push(projectTeamMember_i);
	}
	var updateLogs="";
	if(projectApplyLoanBank_list_update_id==0){
		updateLogs+="贷款、";
	}
	if(projectFinancing_list_update_id==0){
		updateLogs+="融资、";
	}
	var material_img=$("#material_img").val();
	if(material_img==""){
		//alert("请选择照片！");
		swal("失败！", "请选择照片", "error");
		return;
	}
	var data={};
	data['projectID'] = $("#id_projectID").val();			//项目ID
	data['projectName'] = $("#id_projectName").val();		//项目名称
	data['projectAbstruct'] = $("#id_projectAbstruct").val();//项目简介
	data['projectOneselfMoney'] = $("#id_projectOneselfMoney").val();	//投入自有资金数
	data['projectPlanbookFileID'] = $("#id_projectPlanbookID").val();//项目计划文件id
	data['projectPlanbookName'] = $("#id_projectPlanbookName").val();//项目计划名称
	data['restFileID'] = $("#id_restFileID").val();//其他文件id
	data['restFileName'] = $("#id_restFileName").val();//其他文件名称
	data['projectApplyLoanBank'] = projectApplyLoanBank_list;//贷款
	data['projectFinancing'] = projectFinancing_list;//融资
	data['projectTeamMember'] = projectTeamMember_list;//项目成员
	data['projectTurnover'] = projectTurnover_list;//项目营业额
	data['projectStage'] = $("#id_projectStage").val();	//项目阶段
	data['updateLogs'] = updateLogs;	//修改日志
	data['img']=material_img;
	$.ajax({
		type : "POST",
		url : webroot+"Project/saveProject",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert();
				swal("成功！", result.msg, "success");
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
			if(result.result==true){
				window.location.href=webroot+"goto/team/project_library"; 
			}
			
		}
	});
}
/**
 * 暂存项目
 * @returns
 */
function project_saveTemp(){
	if($("#id_projectName").val()==""){
		//alert("请填写项目名称！");
		swal("失败！", "请填写项目名称！", "error");
		return;
	}
	if($("#id_projectAbstruct").val()==""){
		//alert("请填写项目简介！");
		swal("失败！", "请填写项目简介！", "error");
		return;
	}
	var projectTeamMember=$("#id_projectTeamMember").val();
	projectTeamMember=projectTeamMember+"";
	if(projectTeamMember==null){
		projectTeamMember="";
	}
	var projectTeamMember_arr=projectTeamMember.split(",");
	for(var projectTeamMember_arr_i in projectTeamMember_arr){
		var projectTeamMember_i= projectTeamMember_class(projectTeamMember_arr[projectTeamMember_arr_i]);
		projectTeamMember_list.push(projectTeamMember_i);
	}
	var updateLogs="";
	if(projectApplyLoanBank_list_update_id==0){
		updateLogs+="贷款、";
	}
	if(projectFinancing_list_update_id==0){
		updateLogs+="融资、";
	}
	var material_img=$("#material_img").val();
	if(material_img==""){
		//alert("请选择照片！");
		swal("失败！", "请选择照片！", "error");
		return;
	}
	var data={};
	data['projectID'] = $("#id_projectID").val();			//项目ID
	data['projectName'] = $("#id_projectName").val();		//项目名称
	data['projectAbstruct'] = $("#id_projectAbstruct").val();//项目简介
	data['projectOneselfMoney'] = $("#id_projectOneselfMoney").val();	//投入自有资金数
	data['projectPlanbookFileID'] = $("#id_projectPlanbookID").val();//项目计划文件id
	data['projectPlanbookName'] = $("#id_projectPlanbookName").val();//项目计划名称
	data['restFileID'] = $("#id_restFileID").val();//其他文件id
	data['restFileName'] = $("#id_restFileName").val();//其他文件名称
	data['projectShowID'] = $("#project_information_projectShowID").val();//显示id
	data['projectApplyLoanBank'] = projectApplyLoanBank_list;//贷款
	data['projectFinancing'] = projectFinancing_list;//融资
	data['projectTeamMember'] = projectTeamMember_list;//项目成员
	data['projectTurnover'] = projectTurnover_list;//项目营业额
	data['projectStage'] = $("#id_projectStage").val();	//项目阶段
	data['updateLogs'] = updateLogs;	//修改日志
	data['img']=material_img;
	$.ajax({
		type : "POST",
		url : webroot+"Project/saveProjectTemp",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert();
				swal("成功！", result.msg, "success");
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
			window.location.href=webroot+"goto/team/project_library"; 
			
		}
	});
}
/**
 * 取消修改项目
 * @returns
 */
function project_close(){
	window.history.back(-1); 
}

//修改项目********************************************************************************************
function getcompanyRegisterIF(){
	$.ajax({
		type : "POST",
		url : webroot+"Project/getcompanyRegisterIF",
		data : "",
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			var companyRegisterIF=result.companyRegisterIF;
			if(companyRegisterIF=="1"){
				$("div[name='name_financing_DIV_number']").show();
			}else{
				$("div[name='name_financing_DIV_number']").hide();
			}
		}
	});
}
function getproject(){
	var data={};
	data['projectID'] = get_project_id;			//项目ID
	$.ajax({
		type : "POST",
		url : webroot+"Project/getProject",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				var companyRegisterIF=result.companyRegisterIF;
				if(companyRegisterIF=="1"){
					$("div[name='name_financing_DIV_number']").show();
				}else{
					$("div[name='name_financing_DIV_number']").hide();
				}
				var projectInformation=result.projectInformation;
				var projectFinancing=result.projectFinancing;
				var projectApplyLoanBank=result.projectApplyLoanBank;
				var projectTeamMember=result.projectTeamMember;
				var projectTurnover=result.projectTurnover;
				var projectPaytaxes=result.projectPaytaxes;
				showproject(projectInformation,projectFinancing,projectApplyLoanBank,projectTeamMember,projectTurnover,projectPaytaxes);
			}
			
		}
	});
}
function showproject(projectInformation,projectFinancing,projectApplyLoanBank,projectTeamMember,projectTurnover,ProjectPaytaxes){
	$("#project_information_title").html("查看项目<span style=\"margin-left: 20px;font-size: 15px;\">(ID:"+projectInformation.projectShowID+")</span>");
	$("#id_projectID").val(projectInformation.projectID);			//项目ID
	$("#id_projectName").val(projectInformation.projectName);		//项目名称
	$("#id_projectAbstruct").val(projectInformation.projectAbstruct);//项目简介
	$("#id_projectOneselfMoney").val(projectInformation.projectOneselfMoney);	//投入自有资金数
	$("#id_projectPlanbookID").val(projectInformation.projectPlanbookFileID);//项目计划文件id
	$("#id_projectPlanbookName").val(projectInformation.projectPlanbookName);//项目计划名称
	$("#id_projectStage").val(projectInformation.projectStage);//项目阶段
	$("#id_restFileID").val(projectInformation.restFileID);//其他文件id
	$("#id_restFileName").val(projectInformation.restFileName);//其他文件名称
	$("#id_restAptitude").val(projectInformation.restAptitude);	//其他资质
	$("#project_information_projectShowID").val(projectInformation.projectShowID);//显示id
	if(projectInformation.img!=null && projectInformation.img!="null"){
		$("#material_img").val(projectInformation.img);
		$("#img").attr('src',projectInformation.img); 
	}
	
	//纳税信息
	if(ProjectPaytaxes != null){
		for(var teamMessagePaytaxes_i in ProjectPaytaxes){
			var id = teamTayPayment_list_max_id;
			teamTayPayment_list_max_id++;
			var year = ProjectPaytaxes[teamMessagePaytaxes_i].year;
			var money = ProjectPaytaxes[teamMessagePaytaxes_i].money;
			var teamMessagePaytaxes_i = teamTayPayment_class(id,year,money);
			tax_Payment_list.push(teamMessagePaytaxes_i);
		}
		tax_Payment_List_Show();
	}
	//项目营业额
	if(projectTurnover!=null){			
		for(var projectTurnover_i in projectTurnover){
			var id = projectFinancing_list_max_id;
			projectTurnoverlist_max_id++;
	    	var year = projectTurnover[projectTurnover_i].year;	//年份
	    	var turnover = projectTurnover[projectTurnover_i].turnover;	//营业额
	    	
	    	var projectTurnover_i1 = projectTurnover_class(id,year,turnover);
	    	projectTurnover_list.push(projectTurnover_i1);
		}
		turnover_DIV_List_Show();
	}
	//项目融资
	if(projectFinancing!=null){			
		for(var projectFinancing_i in projectFinancing){
			var id = projectFinancing_list_max_id;
	    	projectFinancing_list_max_id++;
	    	var financingState = projectFinancing[projectFinancing_i].financingState;	//投资状态
	    	var financingInvestor = projectFinancing[projectFinancing_i].financingInvestor;	//投资人
	    	var financingMoney = projectFinancing[projectFinancing_i].financingMoney;		//投资金额
	    	var financingRatio = projectFinancing[projectFinancing_i].financingRatio;		//占股比例
	    	var investContractFileID = projectFinancing[projectFinancing_i].investContractFileID;		//合同文件id
	    	var investContractName = projectFinancing[projectFinancing_i].investContractName;		//合同文件名
	    	var projectFinancing_i = projectFinancing_class(id,financingInvestor,financingMoney,financingRatio,investContractFileID,investContractName,financingState);
	    	projectFinancing_list.push(projectFinancing_i);
		}
		financing_DIV_List_Show();
	}
	//项目贷款
	if(projectApplyLoanBank!=null){
		for(var projectApplyLoanBank_i in projectApplyLoanBank){
			var id = projectApplyLoanBank_list_max_id;
			projectApplyLoanBank_list_max_id++;
			var applyLoanBank = projectApplyLoanBank[projectApplyLoanBank_i].applyLoanBank;		//贷款银行
			var applyLoanMoney = projectApplyLoanBank[projectApplyLoanBank_i].applyLoanMoney;		//贷款金额
			var applyLoanMoneyRate = projectApplyLoanBank[projectApplyLoanBank_i].applyLoanMoneyRate;	//利率
			var applyLoanAgeLimit = projectApplyLoanBank[projectApplyLoanBank_i].applyLoanAgeLimit;	//偿还年限
			var projectApplyLoanBank_i = projectApplyLoanBank_class(id,applyLoanBank,applyLoanAgeLimit,applyLoanMoney,applyLoanMoneyRate);
			projectApplyLoanBank_list.push(projectApplyLoanBank_i);
		}
		applyLoan_DIV_List_Show();
	}
	//团队成员
	if(projectTeamMember !=null ){
		var projectTeamMember_str="";
		for(var projectTeamMember_i in projectTeamMember){
			$("#id_projectTeamMember option[value='" + projectTeamMember[projectTeamMember_i].memberID + "']").attr('selected', 'selected');
		}
		$("#id_projectTeamMember").trigger("chosen:updated");
		
	}
}
function upImg(){
	$("#projectimg_file").empty();
	$("#projectimg_file_div").html('<input type="file" id="projectimg_file" name="mainfile" class="form-control" >');
	$( '#projectimg_file' ).prettyFile();
	$("#projectimg_DIV").modal('show');
}
function projectImg_update(){
    if(fileChangeNo("projectimg_file")==true){
    	if(imgFileChange("projectimg_file")==false){
    		return;
    	}
    	$("#projectImg_DIV_ZZSC").show();
    	$("#projectImg_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectimg_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectImg_DIV_ZZSC").hide();
    	    	$("#projectImg_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！", "只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectimg_DIV').modal('hide');
    	    	$("#projectimg_file").empty();
    	    	$("#projectimg_file_div").html('<input type="file" id="projectimg_file" name="mainfile" class="form-control" >');
    	    	$( '#projectimg_file' ).prettyFile();
            }
    	});
    }else{
   	// alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}
/**
 * 下载项目计划书
 * @returns
 */
function projectPlanbookFile_DIV_dow(){
	var id=$("#id_projectPlanbookID").val();
	if(id==""){
		return;
	}
	window.open(webroot+"File/downFileByFileId?id="+id);
}
/**
 * 下载其他附件
 * @returns
 */
function restFile_DIV_dow(){
	var id=$("#id_restFileID").val();
	if(id==""){
		return;
	}
	window.open(webroot+"File/downFileByFileId?id="+id);
}
function financing_Fund_DIV_file(){
	var id=$("#financing_DIV_file_ID").val();
	if(id==""){
		return;
	}
	window.open(webroot+"File/downFileByFileId?id="+id);
}