$(function () {
	indexAllArticleTableONLINETeam();
	
})
/**
 * 获取项目库
 * 根据团队id 项目总状态为上线
 * 团队版
 * @author 20170251
 * 2017年3月7日14:30:12
 * @returns
 */
function indexAllArticleTableONLINETeam()
{
	 $(document).ready(function() {
		    var oTable = $('#hidden-table-info').dataTable( {
		    	 "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
                 "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
                 "bDestroy" : true,       //销毁表格对象
                 "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
                 "searching": false,//禁用搜索（搜索框）
                 "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
                 "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
                 "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
                 "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
                 //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
                 "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
                 //"bFilter" : true, //是否启动过滤、搜索功能
                 "bAutoWidth": false,
        		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
                 /*   "iDisplayLength": 5,
                    "iDisplayStart": 0,*/
                 "select": {
                     style: 'os',
                     selector: 'td:first-child'
                 },

                "ajax": {  //ajax方式向后台发送请求
                    "type": "POST",
                    "url": webroot+"Project/getAllArticleTableStartSpaceStatsYes",
                    "dataType": "json"
                },
		        "columns": [
		        	 { "sTitle": "项目编号",   "mData": "projectShowID" },
			           { "sTitle": "项目名称",   "mData": "projectName" },
			           { "sTitle": "所属团队",  "mData": "teamMessage" },
			           { "sTitle": "项目阶段",  "mData": "projectStage" },
			           { "sTitle": "投融资总额(万)",  "mData": "financingMoneyNum" },
			           { "sTitle": "排序(位)",  "mData": "order" },
			           { "sTitle": "显示情况",  "mData": "show" },
			           { "sTitle": "操作", "mData": "editable","width": "150px","searchable": false}
		        ],

                "oLanguage" : { // 国际化配置
                    "sProcessing" : "正在获取数据，请稍后...",
                    "sLengthMenu" : "每页 _MENU_ 条记录",
                    "sZeroRecords" : "没有找到数据",
                    "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                    "sInfoEmpty" : "记录数为0",
                    "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                    "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                    "sUrl" : "",
                    "oPaginate" : {
                        "sFirst" : "第一页",
                        "sPrevious" : "上一页",
                        "sNext" : "下一页",
                        "sLast" : "最后一页"
                    }
                },


		    });

		} );
}

function search() {
    var projectName = $("#projectName").val();
    searchProjectStatsDuditYes(projectName);
    $('#hidden-table-info').DataTable().ajax.url(webroot + "Project/getAllArticleTableStartSpaceStatsYes?title=" + title).load();
}

function searchProjectStatsDuditYes(projectName) {
    var url = webroot + "Project/getAllArticleTableStartSpaceStatsYes?projectName=" + projectName;
    $('#hidden-table-info').DataTable().ajax.url(url).load();
}
/**
 * 跳转到查看项目
 * 2017年3月9日16:13:07
 * @author 20170251
 * @param projectID
 * @returns
 */
function getAllProject_show(projectID){
	window.open(webroot+"TopIndex/showProjectInformationDetail?id="+projectID+"&spaceMessageID=0");
	/*var data={};
	data['projectID'] = projectID;			//项目ID
	$.ajax({
		type : "POST",
		url : webroot+"Project/getProject",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				var projectInformation=result.projectInformation;
				$("#startSpace_DIV_title").html(projectInformation.projectShowTitle);
				$("#startSpace_DIV_content").html(projectInformation.projectShowContent);
				$('#StartSpace_DIV').modal('show');
			}
			
		}
	});*/
}
/**
 * 下载其他附件
 * @returns
 */
function getProjectPlanbookFile(id){
	window.open(webroot+"File/downFileByFileId?id="+id);
}
/**
 * 
 * 修改状态
 * 空间审核启动
 * 2017年3月10日09:59:20
 * @author 20170251
 * @returns
 */
function  setProjectauditYES(projectID)
{
	var data={};
	data['projectID'] = projectID;
	data['starts'] = 1;
	$.ajax({
		type : "POST",
		url : webroot+"Project/setStartEducationStats",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}else {
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				$('#hidden-table-info').DataTable().draw(false);
				//indexAllArticleTableONLINETeam();
			}
			
		}
	});	
}
/**
 * 
 * 修改状态
 * 空间审核禁用
 * 2017年3月10日10:07:13
 * @author 20170251
 * @returns
 */
function  setProjectauditNO(projectID)
{
	var data={};
	data['projectID'] = projectID;
	data['starts'] = 3;
	$.ajax({
		type : "POST",
		url : webroot+"Project/setStartEducationStats",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}else {
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				$('#hidden-table-info').DataTable().draw(false);
				//indexAllArticleTableONLINETeam();
			}
			
		}
	});	
}
function getAllProject_order(projectID){
	$("#Reform_DIV_id").val("");
	var data={};
	data['projectID'] = projectID;
	$.ajax({
		type : "POST",
		url : webroot+"Project/getProjectOrder",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}else {
				$("#Reform_DIV_order").val(result.msg);
				$("#Reform_DIV_id").val(projectID);
				$('#reform_DIV').modal('show');
				
			}
			
		}
	});
	
}

function course_DIV_save(){
	var Reform_DIV_id=$("#Reform_DIV_id").val();			
	var Reform_DIV_order=$("#Reform_DIV_order").val();	

	if (Reform_DIV_order == null || Reform_DIV_order == undefined || Reform_DIV_order == '') { 
		swal("失败！","请选择排序位置！", "error");
		return;
	}
	var data={};
	data['projectID'] = Reform_DIV_id;
	data['order'] = Reform_DIV_order;
	$.ajax({
		type : "POST",
		url : webroot+"Project/setProjectOrder",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				
//				indexAllArticleTableONLINETeam();
				$('#hidden-table-info').DataTable().draw(false);
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
