$(function () {
	indexAllArticleTableONLINETeam();
	
})

function indexAllArticleTableONLINETeam()
{
	 $(document).ready(function() {
		    var oTable = $('#hidden-table-info').dataTable( {
		    	 "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
                 "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
                 "bDestroy" : true,       //销毁表格对象
                 "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
                 "searching": false,//禁用搜索（搜索框）
                 "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
                 "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
                 "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
                 "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
                 //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
                 "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
                 //"bFilter" : true, //是否启动过滤、搜索功能
                 "bAutoWidth": false,
        		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
                 /*   "iDisplayLength": 5,
                    "iDisplayStart": 0,*/
                 "select": {
                     style: 'os',
                     selector: 'td:first-child'
                 },
                "ajax": {  //ajax方式向后台发送请求
                    "type": "POST",
                    "url": webroot+"ServiceProvider/getServiceProviderByAuditingYes",
                    "dataType": "json"
                },
                "columns": [
                    { "sTitle": "服务商&投资人名称",   "mData": "name" },
                    { "sTitle": "设立时间",   "mData": "date" },
                    { "sTitle": "法人代表",  "mData": "corporation" },
                    { "sTitle": "手机号",  "mData": "tell" },
                    { "sTitle": "类型",  "mData": "type" }
                ],
                "oLanguage" : { // 国际化配置
                    "sProcessing" : "正在获取数据，请稍后...",
                    "sLengthMenu" : "每页 _MENU_ 条记录",
                    "sZeroRecords" : "没有找到数据",
                    "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                    "sInfoEmpty" : "记录数为0",
                    "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                    "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                    "sUrl" : "",
                    "oPaginate" : {
                        "sFirst" : "第一页",
                        "sPrevious" : "上一页",
                        "sNext" : "下一页",
                        "sLast" : "最后一页"
                    }
                },
		    });
		    
		} );
}
function search(){
    var nameforSearch=$("#nameforSearch").val();
    $('#hidden-table-info').DataTable().ajax.url( webroot+"ServiceProvider/getServiceProviderByAuditingYes?name="+nameforSearch).load();
}
function sitesInformation_DIV_show(id,type){
	var data={};
	data['id'] = id;
	data['type'] = type;
	$.ajax({
		type : "POST",
		url : webroot+"ServiceProvider/getOneServiceProvider",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			$("#DIV_id").val(id);
			if(type=="1"){
				$("#serviceProviderName").val(result.serviceProviderData.serviceProviderName);
				$("#serviceProviderAddress").val(result.serviceProviderData.serviceProviderAddress);
				$("#serviceProviderDate").val(result.serviceProviderData.serviceProviderDate);
				$("#serviceCorporation").val(result.serviceProviderData.serviceCorporation);
				$("#serviceCapital").val(result.serviceProviderData.serviceCapital);
				$("#serviceEmploymentNumber").val(result.serviceProviderData.serviceEmploymentNumber);
				$("#serviceTell").val(result.serviceProviderData.serviceTell);
				$("#serviceEmail").val(result.serviceProviderData.serviceEmail);
				$("#serviceAptitude").val(result.serviceProviderData.serviceAptitude);
				$("#serviceAbstruct").val(result.serviceProviderData.serviceAbstruct);
				$("#serviceCase").val(result.serviceProviderData.serviceCase);
				$("#serviceHonor").val(result.serviceProviderData.serviceHonor);
				$("#serviceOther").val(result.serviceProviderData.serviceOther);
				$("#membeName1").val(result.serviceProviderData.membeName1);
				$("#certificateName1").val(result.serviceProviderData.certificateName1);
				$("#certificateNumber1").val(result.serviceProviderData.certificateNumber1);
				$("#certificateDate1").val(result.serviceProviderData.certificateDate1);
				$("#membeName2").val(result.serviceProviderData.membeName2);
				$("#certificateName2").val(result.serviceProviderData.certificateName2);
				$("#certificateNumber2").val(result.serviceProviderData.certificateNumber2);
				$("#certificateDate2").val(result.serviceProviderData.certificateDate2);
				$("#membeName3").val(result.serviceProviderData.membeName3);
				$("#certificateName3").val(result.serviceProviderData.certificateName3);
				$("#certificateNumber3").val(result.serviceProviderData.certificateNumber3);
				$("#certificateDate3").val(result.serviceProviderData.certificateDate3);
				$("#serviceLinkName").val(result.serviceProviderData.serviceLinkName);
				$('#show_DIV1').modal('show');
			}
			if(type=="2"){
				$("#aptitudeName").val(result.aptitudeData.aptitudeName);
				$("#aptitudeAddress").val(result.aptitudeData.aptitudeAddress);
				$("#aptitudeDate").val(result.aptitudeData.aptitudeDate);
				$("#aptitudeCorporation").val(result.aptitudeData.aptitudeCorporation);
				$("#aptitudeCapital").val(result.aptitudeData.aptitudeCapital);
				$("#aptitudeEmploymentNumber").val(result.aptitudeData.aptitudeEmploymentNumber);
				$("#aptitudeDirection").val(result.aptitudeData.aptitudeDirection);
				$("#aptitudeStage").val(result.aptitudeData.aptitudeStage);
				$("#aptitudeScale").val(result.aptitudeData.aptitudeScale);
				$("#aptitudeTell").val(result.aptitudeData.aptitudeTell);
				$("#aptitudeEmail").val(result.aptitudeData.aptitudeEmail);
				$("#aptitudeServiceAptitude").val(result.aptitudeData.aptitudeServiceAptitude);
				$("#aptitudeLinkName").val(result.aptitudeData.aptitudeLinkName);
				$("#aptitudeAbstruct").val(result.aptitudeData.aptitudeAbstruct);
				$("#aptitudeCase").val(result.aptitudeData.aptitudeCase);
				$("#aptitudeHonor").val(result.aptitudeData.aptitudeHonor);
				$("#aptitudeOther").val(result.aptitudeData.aptitudeOther);
				
				$('#show_DIV2').modal('show');
			}
			
		}
	});	
	
	
}

function sitesInformation_DIV_NO(type){
	swal({
        title: "您确定撤销审核吗?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var id=$("#DIV_id").val();
        	var data={};
        	data['id'] = id;
        	data['type'] = type;
        	data['auditing'] = 0;
        	$.ajax({
        		type : "POST",
        		url : webroot+"ServiceProvider/setOneServiceProvider",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if (result.result==false){
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        				
        			}else {
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        				$('#show_DIV2').modal('hide');
        				$('#hidden-table-info').DataTable().draw(false);
//        				indexAllArticleTableONLINETeam();
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });

	/*if (confirm("您确定撤销审核吗？")) {  
    }  
    else {  
    	return;
    }  
	var id=$("#DIV_id").val();
	var data={};
	data['id'] = id;
	data['type'] = type;
	data['auditing'] = 0;
	$.ajax({
		type : "POST",
		url : webroot+"ServiceProvider/setOneServiceProvider",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
				
			}else {
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				$('#show_DIV2').modal('hide');
				indexAllArticleTableONLINETeam();
			}
		}
	});	*/
}
/**
 * 导出
 * @returns
 */
function exercise_DIV_Derive(){
	downloadFile(webroot+"ServiceProvider/deriveServiceProviderByAuditingYes");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
