


function change_password(){
	
	var oldPassord = $("#old_password").val();
	var newPassword = $("#new_password").val();
	var submitPassword = $("#submit_password").val();
	
	if($.trim(oldPassord) == ""){
		//alert("请输入原始密码！");
		swal("失败！","请输入原始密码！", "error");
		return;
	}
	if($.trim(newPassword) == ""){
		//alert("请输入新密码！");
		swal("失败！","请输入新密码！", "error");
		return;
	}
	if($.trim(submitPassword) == ""){
		//alert("请输入确认密码！");
		swal("失败！","请输入确认密码！", "error");
		return;
	}
	if($.trim(newPassword)==$.trim(oldPassord)){
		//alert("请输入原始密码！");
		swal("失败！","新密码不能与原始密码相同！", "error");
		return;
	}
	if($.trim(newPassword) != $.trim(submitPassword)){
		//alert("新密码和确认密码不符");
		swal("失败！","新密码和确认密码不符！", "error");
		return;
	}
	var reg = /^(?![0-9]+$)(?![a-zA-Z]+$)[A-Za-z0-9]{6,20}$/;
	if(!reg.test(newPassword)){
		//alert("密码不符合要求，请输入6-20位字母数字组合的密码！");
		swal("失败！", "密码不符合要求，请输入6-20位字母数字组合的密码！", "error");
		return;
	}
	var basePassword = new Base64()
	var data={};
	data['oldPassord'] = basePassword.encode(oldPassord);
	data['submitPassword'] =  basePassword.encode(submitPassword);
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/changePassword",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if (result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}else {
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				window.location.href=webroot+"user/Logout"; 
			}
		}
	});	
}