$(function () {
	indexAllArticleTableONLINETeam();
	
})
var oTable;
var page_start=0;
function indexAllArticleTableONLINETeam()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },



                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"SpaceMessage/getSpaceAll1",
                     "dataType": "json"
                 },
                 "columns": [//对接收到的json格式数据进行处理，data为json中对应的key
                     { "sTitle": "空间编号",   "mData": "spaceShowID" },
                     { "sTitle": "空间名称",   "mData": "spaceName" },
                     { "sTitle": "所属高校",  "mData": "spaceSchool" },
                     { "sTitle": "空间类型",  "mData": "spaceType" },
                     { "sTitle": "认证时间",  "mData": "spaceRegisterTime" },
                     { "sTitle": "认定面积(平方米)",  "mData": "spaceRegisterArea" },
                     { "sTitle": "种子基金使用总数(万)",  "mData": "spaceFundMoneyNum" },
                     { "sTitle": "最后登录时间",  "mData": "loginTime" },
                     { "sTitle": "认证情况",  "mData": "certification" },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}

                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },
             } );

		} );
}
function search(){
    var spaceName=$("#spaceName").val();
    $('#hidden-table-info').DataTable().ajax.url( webroot+"SpaceMessage/getSpaceAll1?spaceName="+spaceName).load();
}
function getAllProject_show(spaceid){
			window.location.href=webroot+"goto/education/space_information_show?spaceid="+spaceid;
}
/**
 * 导出项目
 * @returns
 */
function project_DIV_Derive(){
	downloadFile(webroot+"SpaceMessage/deriveSpaceMessage");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
function getAllProject_Certification(spaceid){
	var data={};
	data['spaceid'] = spaceid;			//项目ID
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/getCertificationState",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
//				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//				indexAllArticleTableONLINETeam();
				$('#hidden-table-info').DataTable().draw(false);
				
				swal("成功！", result.msg, "success");
			}else{
				swal("失败！", result.msg, "error");
			}
		}
	});
}