$(function () {
	$(document).ready(function () {
	    $('.i-checks').iCheck({
	        checkboxClass: 'icheckbox_square-green',
	        radioClass: 'iradio_square-green',
	    });
	});
	getOneSpaceInfromation();
	
})

function getOneSpaceInfromation(){
	var data={};
	data['spaceMessageID'] = spaceid;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMessage/getOneSpaceMessageShow",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			var spaceMessage=result.spaceMessage;
			if(spaceMessage!=null){
				var spaceMessageBusiness=result.spaceMessageBusiness;
				$("#id_showID").html("ID:"+spaceMessage.spaceShowID);		//显示id
				$("#id_spaceName").val(spaceMessage.spaceName);	//空间名称
				$("#id_spaceRunSubject").val(spaceMessage.spaceRunSubject);//运营主体
				$("#id_spaceSchool").val(spaceMessage.spaceSchool);	//所属高校
				$("#id_spaceType").val(spaceMessage.spaceType);	//空间类型
				$("#id_registerTime").val(spaceMessage.spaceRegisterTime);	//空间认定时间
				$("#id_registerArea").val(spaceMessage.spaceRegisterArea);	//空间认定面积
				$("#id_addressArea").val(spaceMessage.addressArea);	//区县
				$("#id_address").val(spaceMessage.address);	//详细地址
				$("#id_principal").val(spaceMessage.principal);	//负责人
				$("#id_principalTell").val(spaceMessage.principalTell);	//负责人电话
				$("#id_principalWeixin").val(spaceMessage.principalWeixin);//负责人微信
				$("#id_linkman").val(spaceMessage.linkman);	//联络人
				$("#id_linkmanTell").val(spaceMessage.linkmanTell);//联络人电话
				$("#id_linkmanWeixin").val(spaceMessage.linkmanWeixin);//联络人微信
				$("#id_businessConsultationTell").val(spaceMessage.businessConsultationTell);//业务咨询电话
				$("#id_businessConsultationEmail").val(spaceMessage.businessConsultationEmail);//业务咨询邮箱
				$("#id_onlineConsultationPlatform").val(spaceMessage.onlineConsultationPlatform);//线上咨询平台
				$("#id_fixedLocationNumber").val(spaceMessage.fixedLocationNumber);//固定工位数量
				$("#id_flowStationNumber").val(spaceMessage.flowStationNumber);//流动工位数量
				if(spaceMessageBusiness!=null){
					for(var spaceMessageBusiness_i in spaceMessageBusiness){
						$("input[name=name_spaceMessageBusiness]:checkbox[value='"+spaceMessageBusiness[spaceMessageBusiness_i].businessName+"']").attr('checked','true');
					}
				}
				if(spaceMessage.certification==1){
					$("#certification_div").show();
				}else{
					$("#certification_div").hide();
					$("#id_registerTime").val("");
					$("#id_registerArea").val("");
				}
			}
		}
	});	
}

function project_close(){
	window.history.back(-1); 

}

