$(function () {
	sitesInformationGetAllSpace();
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
         oTable = $('#hidden-table-info').dataTable({
 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
             "bDestroy" : true,       //销毁表格对象
             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
             "searching": false,//禁用搜索（搜索框）
             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
             //"bFilter" : true, //是否启动过滤、搜索功能
             "bAutoWidth": false,
    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
             /*   "iDisplayLength": 5,
                "iDisplayStart": 0,*/
             "select": {
                 style: 'os',
                 selector: 'td:first-child'
             },

             "ajax": {  //ajax方式向后台发送请求
                 "type": "POST",
                 "url": webroot + "teamMessage/getTeamAll",
                 "dataType": "json"
             },
             "columns": [//对接收到的json格式数据进行处理，data为json中对应的key
                 {"sTitle": "团队ID", "mData": "teamID"},
                 {"sTitle": "团队名称", "mData": "teamName"},
                 {"sTitle": "所属空间", "mData": "spaceName"},
                 {"sTitle": "账户", "mData": "userAccount"},
                 /*{ "sTitle": "团队更新时间",  "mData": "updateTime" },*/
                 {"sTitle": "团队最后一次登录", "mData": "loginTime"},
                 {"sTitle": "操作", "mData": "editable", "width": "150px", "searchable": false}

             ],
             "oLanguage": { // 国际化配置
                 "sProcessing": "正在获取数据，请稍后...",
                 "sLengthMenu": "每页 _MENU_ 条记录",
                 "sZeroRecords": "没有找到数据",
                 "sInfo": "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                 "sInfoEmpty": "记录数为0",
                 "sInfoFiltered": "(全部记录数 _MAX_ 条)",
                 "sInfoPostFix": "",
                 // "sSearch" : "查询",
                 "sUrl": "",
                 "oPaginate": {
                     "sFirst": "第一页",
                     "sPrevious": "上一页",
                     "sNext": "下一页",
                     "sLast": "最后一页"
                 }
             },


             //     "aoColumns": [
             //        { "sTitle": "团队ID",   "mData": "teamID" },
             //        { "sTitle": "团队名称",  "mData": "teamName" },
             //        { "sTitle": "所属空间",  "mData": "spaceName" },
             //        { "sTitle": "账户",  "mData": "userAccount" },
             //        /*{ "sTitle": "团队更新时间",  "mData": "updateTime" },*/
             //        { "sTitle": "团队最后一次登录",  "mData": "loginTime" },
             //        { "sTitle": "操作", "mData": "editable","width": "150px","searchable": false}
             //     ],
             // "sAjaxSource":webroot+"teamMessage/getTeamAll",
             // "sAjaxDataProp": "list",
             // "initComplete": function(settings, json) {
             // 	oTable.fnPageChange(page_start);
             // }
             //
             // });
             // $('#hidden-table-info_filter input').on( 'keyup change', function () {
             //        // alert(this.value);
             //    	$("#hidden-table-info tbody").removeHighlight();
             //    	if(this.value!=""){
             //    		$("#hidden-table-info tbody").highlight(this.value);
             //    	}
             //    });

         });
     });
}

function reform_DIV_Show(id){
	if(id == "0"){
		$("#Reform_DIV_name").val("");	
		$("#Reform_DIV_account").val("");	
		$("#Reform_DIV_password").val("");		
		$("#Reform_DIV_password2").val("");	
		$("#material_img").val(webroot+"res/image/team.jpg");
		$("#img").attr('src',webroot+"res/image/team.jpg"); 
	}
	$('#reform_DIV').modal('show');
}

function course_DIV_save(){
	var Reform_DIV_space=$("#Reform_DIV_space").val();
	var Reform_DIV_name=$("#Reform_DIV_name").val();			
	var Reform_DIV_account=$("#Reform_DIV_account").val();	
	var Reform_DIV_password=$("#Reform_DIV_password").val();		
	var Reform_DIV_password2=$("#Reform_DIV_password2").val();
	var img=$("#material_img").val();
	if(Reform_DIV_space==""){
		//alert("请选择所属空间！");
		swal("失败！","请选择所属空间！", "error");
		return;
	}
	if(Reform_DIV_password!=Reform_DIV_password2){
		//alert("两次密码不相同！");
		swal("失败！","两次密码不相同！", "error");
		return;
	}
	if(Reform_DIV_password==""){
		//alert("密码不能为空！");
		swal("失败！","密码不能为空！", "error");
		return;
	}
	if(img==""){
		//alert("请选择照片！");
		swal("失败！","请选择照片！", "error");
		return;
	}
	var reg = /^(?![0-9]+$)(?![a-zA-Z]+$)[A-Za-z0-9]{6,20}$/;
	if(!reg.test(Reform_DIV_password)){
		//alert("密码不符合要求，请输入6-20位字母数字组合的密码！");
		swal("失败！","密码不符合要求，请输入6-20位字母数字组合的密码！", "error");
		return;
	}
	var data={};
	data['realName'] = Reform_DIV_name;
	data['userAccount'] = Reform_DIV_account;
	data['userPassword'] = Reform_DIV_password;
	data['space'] = Reform_DIV_space;
	data['img'] = img;
	$.ajax({
		type : "POST",
		url : webroot+"teamMessage/SaveTeamLogin",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
//				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//				getAllSpaceEducationCourse();
				$('#hidden-table-info').DataTable().draw(false);
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
function exercise_DIV_exercise(id){
	swal({
        title: "您确定修改状态吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['teamMessageID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"teamMessage/getTeamLoginState",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();
        				
        				$('#hidden-table-info').DataTable().draw(false);

        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	/*if (confirm("您确定修改状态吗？")) {  
    }  
    else {  
    	return;
    } 
	var data={};
	data['teamMessageID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"teamMessage/getTeamLoginState",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
function sitesInformationGetAllSpace()
{
	 $.ajax({
			type : "POST",
			url : webroot+"SitesInformation/getAllSpace",
			data : "" ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var list=result.list;
				var html="";
				if(list!=null)
				{
					AllTeam=list;
					for(var list_i in list)
					{
		       			html+="<option value=\""+list[list_i].id+"\" id=\"list_member_"+list[list_i].id+"\">"+list[list_i].name+"</option>"
					}
				}
       	
				$("#Reform_DIV_space").html(html);
			}
		});
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！","只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！","请先选择上传文件", "error");
    }
}
function exercise_DIV_password(id){
	swal({
        title: "您确定重置此用户密码吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['teamMessageID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"teamMessage/restartPassword",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
}