$(function () {
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		 	$('.i-checks').iCheck({
		        checkboxClass: 'icheckbox_square-green',
		        radioClass: 'iradio_square-green',
		    });
		 	$('#Reform_DIV_order1_tt').on('ifChecked', function(event){
				$("#time_div").show("slow");
				$("#Reform_DIV_order1").val("");
			});
			$('#Reform_DIV_order1_tt').on('ifUnchecked', function(event){
				$("#time_div").hide("slow");
				$("#Reform_DIV_order1").val("0");
			});
		     oTable = $('#hidden-table-info').dataTable( {
	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },
                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"Teacher/getAllTeacher",
                     "dataType": "json"
                 },
                 "columns": [
                     { "sTitle": "导师姓名",   "mData": "teacherName" },
                     { "sTitle": "导师职位",  "mData": "teacherJob" },
                     { "sTitle": "置顶",  "mData": "order1" },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },
				"initComplete": function(settings, json) {
					oTable.fnPageChange(page_start);
				}
		    });
		    
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {  
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	}    
			    });
		    $('#projectPlanbookFile_DIV').on('hidden.bs.modal', function () {
		    	 $("body").addClass("modal-open");
		    })
		} );
}
function search(){
    var teacherName=$("#teacherName").val();
    $('#hidden-table-info').DataTable().ajax.url( webroot+"Teacher/getAllTeacher?teacherName="+teacherName).load();
}
function teacher_DIV_DeriveTemp(){
	window.open(webroot+"res/templet/topTeacher.xls");
}
function teacher_DIV_Show(id){
	if(id == "0"){
		$("#Reform_DIV_id").val("0");	
		$("#Reform_DIV_name").val("");	
		$("#Reform_DIV_job").val("");		
		$("#Reform_DIV_abstract").val("");	
		$("#Reform_DIV_order1").val("");
		$("#material_img").val("");
		$("#img").attr('src',""); 
		$("#Reform_DIV_tell").val("");
		$("#Reform_DIV_mainDirection").val("");
		$("#Reform_DIV_goodField").val("");
		$("#Reform_DIV_work").val("");
	}else{
		var data={};
		data['id'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"Teacher/getOneTeacher",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var teacher=result.teacher;
				$("#Reform_DIV_id").val(teacher.id);	
				$("#Reform_DIV_name").val(teacher.teacherName);	
				$("#Reform_DIV_job").val(teacher.teacherJob);		
				$("#Reform_DIV_abstract").val(teacher.teacherAbstract);	
				$("#Reform_DIV_order1").val(teacher.order1);
				$("#Reform_DIV_tell").val(teacher.tell);
				$("#Reform_DIV_mainDirection").val(teacher.mainDirection);
				$("#Reform_DIV_goodField").val(teacher.goodField);
				$("#Reform_DIV_work").val(teacher.work1);
				$("#Reform_DIV_order1").val(teacher.order1);
				/*if(teacher.order1=="0"){
					$('#Reform_DIV_order1_tt').iCheck('uncheck');
					$("#Reform_DIV_order1").val("0");
					$("#time_div").hide();
					
				}else{
					$('#Reform_DIV_order1_tt').iCheck('check');
					$("#Reform_DIV_order1").val(teacher.order1);
					$("#time_div").show();
				}*/
				
				
				$("#material_img").val(teacher.img);
				$("#img").attr('src',teacher.img); 
			}
		});	
	}
	$('#reform_DIV').modal('show');
}

function course_DIV_save(){
	var Reform_DIV_id=$("#Reform_DIV_id").val();			
	var Reform_DIV_name=$("#Reform_DIV_name").val();	
	var Reform_DIV_job=$("#Reform_DIV_job").val();		
	var Reform_DIV_abstract=$("#Reform_DIV_abstract").val();
	var Reform_DIV_order1=$("#Reform_DIV_order1").val();
	var material_img=$("#material_img").val();
	var tell=$("#Reform_DIV_tell").val();
	var mainDirection=$("#Reform_DIV_mainDirection").val();
	var goodField=$("#Reform_DIV_goodField").val();
	var work=$("#Reform_DIV_work").val();
	
	var username = /^[\u4E00-\u9FA5A-Za-z]+$/;
	
	if(!username.test(Reform_DIV_name)){
		swal("失败！",'导师姓名只能输入中文和英文', "error");
        return ; 
	}
	if(material_img==""){
		//alert("请选择照片！");
		swal("失败！","请选择照片！", "error");
		return;
	}
	var data={};
	data['id'] = Reform_DIV_id;
	data['teacherName'] = Reform_DIV_name;
	data['teacherJob'] = Reform_DIV_job;
	data['teacherAbstract'] = Reform_DIV_abstract;
	data['order1'] = Reform_DIV_order1;
	data['tell'] = tell;
	data['mainDirection'] = mainDirection;
	data['goodField'] = goodField;
	data['work1'] = work;
	data['img'] = material_img;
	$.ajax({
		type : "POST",
		url : webroot+"Teacher/saveTeacher",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
//				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//				getAllSpaceEducationCourse();
				$('#hidden-table-info').DataTable().draw(false);
				
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
function teacher_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['id'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"Teacher/removeOneTeacher",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();
        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        				
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['id'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"Teacher/removeOneTeacher",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});*/	
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！","只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
				
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
    
}
function teacher_DIV_Derive(){
	$("#File_file_div").empty();
	$("#File_file_div").html(' <input type="file" id="File_file" name="mainfile" class="form-control" accept=".xls" >');
	$( '#File_file' ).prettyFile();
	$('#File_DIV').modal('show');
}
function SpaceOperationTeam_update(){
	if(fileChangeNo("File_file")==true){
    	$("#SpaceOperationTeam_DIV_ZZSC").show();
    	$("#SpaceOperationTeam_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["File_file"],  
    	    success: function (data){//上传成功
    	    	var datat={};
    	    	datat['fileId'] = data.fileID;
    	    	$.ajax({
    	    		type : "POST",
    	    		url : webroot+"Teacher/leadTeacher",
    	    		data : JSON.stringify(datat) ,
    	    		async:false,
    	    		contentType:'application/json;charset=UTF-8',
    	    		success : function(result) {
    	    			$("#SpaceOperationTeam_DIV_ZZSC").hide();
    	    	    	$("#SpaceOperationTeam_DIV_SC").show();
    	    			if(result.result==true){
    	    				//alert(result.msg);
    	    				swal("成功！", result.msg, "success");
//    	    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//    	    				getAllSpaceEducationCourse();
    	    				$('#hidden-table-info').DataTable().draw(false);
    	    				
    	    				$('#File_DIV').modal('hide');
    	    			}else{
    	    				//alert(result.msg);
    	    				swal("失败！", result.msg, "error");
    	    			}
    	    		}
    	    	});	
            }
    	});
    }else{
   	 //alert("请先选择上传文件");
   	swal("失败！", "请先选择上传文件", "error");
    }
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}

