$(function () {
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		    var oTable = $('#hidden-table-info').dataTable( {
	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },



                "ajax": {  //ajax方式向后台发送请求
                    "type": "POST",
                    "url": webroot+"Member/getMemberAll",
                    "dataType": "json"
                },
                "columns": [
                    { "sTitle": "账户(手机号)",   "mData": "memberTell" },
                    { "sTitle": "姓名",  "mData": "memberName" },
                    { "sTitle": "性别",  "mData": "memberSex" },
                    { "sTitle": "用户类型",  "mData": "memberType" },
                    { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                ],
                "oLanguage" : { // 国际化配置
                    "sProcessing" : "正在获取数据，请稍后...",
                    "sLengthMenu" : "每页 _MENU_ 条记录",
                    "sZeroRecords" : "没有找到数据",
                    "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                    "sInfoEmpty" : "记录数为0",
                    "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                    "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                    "sUrl" : "",
                    "oPaginate" : {
                        "sFirst" : "第一页",
                        "sPrevious" : "上一页",
                        "sNext" : "下一页",
                        "sLast" : "最后一页"
                    }
                },
		    });
		} );
}
function search() {
	var memberTell =$("#memberTell").val();
	var memberName =$("#memberName").val();
	var memberSex =$("#memberSex").val();
	searchMember(memberTell,memberName,memberSex);

}
function searchMember(memberTell,memberName,memberSex) {
	var url= webroot+"Member/getMemberAll?memberTell="+memberTell+"&memberName="+memberName+"&memberSex="+memberSex;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
function reform_DIV_Show(id){
	if(id == "0"){
		$("#Reform_DIV_name").val("");	
		$("#Reform_DIV_account").val("");	
		$("#Reform_DIV_password").val("");		
		$("#Reform_DIV_password2").val("");	
		$("#Reform_DIV_tel").val("");
	}
	$('#reform_DIV').modal('show');
}

function course_DIV_save(){
	var Reform_DIV_name=$("#Reform_DIV_name").val();			
	var Reform_DIV_account=$("#Reform_DIV_account").val();	
	var Reform_DIV_password=$("#Reform_DIV_password").val();		
	var Reform_DIV_password2=$("#Reform_DIV_password2").val();
	var Reform_DIV_tel=$("#Reform_DIV_tel").val();
	
	var username = /^[\u4E00-\u9FA5A-Za-z]+$/;
	
	if(!username.test(Reform_DIV_name)){
		swal("失败！",'姓名只能输入中文和英文', "error");
        return ; 
	}
	
	if(Reform_DIV_password!=Reform_DIV_password2){
		//alert("两次密码不相同！");
		swal("失败！", "两次密码不相同！", "error");
		return;
	}
	if(Reform_DIV_password==""){
		//alert("密码不能为空！");
		swal("失败！", "密码不能为空！", "error");
		return;
	}
	if(Reform_DIV_tel==""){
		//alert("请输入手机号！");
		swal("失败！","请输入手机号！", "error");
		return;
	}
	var myreg = /^1(3|4|5|7|8)\d{9}$/g;
    if(!myreg.test(Reform_DIV_tel)){ 
       // alert('请输入有效的手机号码！'); 
        swal("失败！",'请输入有效的手机号', "error");
        return ; 
    }
	var reg = /^(?![0-9]+$)(?![a-zA-Z]+$)[A-Za-z0-9]{6,20}$/;
	if(!reg.test(Reform_DIV_password)){
		//alert("密码不符合要求，请输入6-20位字母数字组合的密码！");
		swal("失败！","密码不符合要求，请输入6-20位字母数字组合的密码！", "error");
		return;
	}
	var data={};
	data['memberName'] = Reform_DIV_name;
	data['userPassword'] = Reform_DIV_password;
	data['memberTell'] = Reform_DIV_tel;
	$.ajax({
		type : "POST",
		url : webroot+"Member/SaveMemberLogin",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
//				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//				getAllSpaceEducationCourse();
				
				$('#hidden-table-info').DataTable().draw(false);
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
function exercise_DIV_exercise(id){
	swal({
        title: "您确定修改状态吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['memberID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"Member/getMemberState",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();
        				
        				$('#hidden-table-info').DataTable().draw(false);
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定修改状态吗？")) {  
    }  
    else {  
    	return;
    } 
	var data={};
	data['memberID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"Member/getMemberState",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
