$(function () {
    indexAllArticleTableONLINETeam();


})
var oTable;
var page_start = 0;
/**
 * 获取项目库
 * 根据团队id 项目总状态为上线
 * 团队版
 * @author 20170251
 * 2017年3月7日14:30:12
 * @returns
 */
function indexAllArticleTableONLINETeam() {
    $(document).ready(function () {

        oTable = $('#hidden-table-info').dataTable({
	    	 "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
             "bDestroy" : true,       //销毁表格对象
             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
             "searching": false,//禁用搜索（搜索框）
             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
             //"bFilter" : true, //是否启动过滤、搜索功能
             "bAutoWidth": false,
    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
             /*   "iDisplayLength": 5,
                "iDisplayStart": 0,*/
             "select": {
                 style: 'os',
                 selector: 'td:first-child'
             },

            "ajax": {  //ajax方式向后台发送请求
                "type": "POST",
                "url": webroot + "Project/getAllArticleTableStartSpaceStatsNo",
                "dataType": "json"
            },
            "columns": [
                {"sTitle": "项目编号", "mData": "projectShowID"},
                {"sTitle": "项目名称", "mData": "projectName"},
                {"sTitle": "所属团队", "mData": "teamMessage"},
                {"sTitle": "项目阶段", "mData": "projectStage"},
                {"sTitle": "投融资总额(万)", "mData": "financingMoneyNum"},
                {"sTitle": "项目计划书", "mData": "projectPlanbookName"},
                {"sTitle": "操作", "mData": "editable", "width": "150px", "searchable": false}
            ],

            "oLanguage": { // 国际化配置
                "sProcessing": "正在获取数据，请稍后...",
                "sLengthMenu": "每页 _MENU_ 条记录",
                "sZeroRecords": "没有找到数据",
                "sInfo": "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                "sInfoEmpty": "记录数为0",
                "sInfoFiltered": "(全部记录数 _MAX_ 条)",
                "sInfoPostFix": "",
                // "sSearch" : "查询",
                "sUrl": "",
                "oPaginate": {
                    "sFirst": "第一页",
                    "sPrevious": "上一页",
                    "sNext": "下一页",
                    "sLast": "最后一页"
                }
            },
            // "sAjaxDataProp": "list",

            /*"sAjaxSource":webroot+"Project/getAllArticleTableStartSpaceStatsNo",
             "sAjaxDataProp": "list",
             "initComplete": function(settings, json) {
             oTable.fnPageChange(page_start);
             }*/

        });

        /*$('#hidden-table-info_filter input').on( 'keyup change', function () {
         // alert(this.value);
         $("#hidden-table-info tbody").removeHighlight();
         if(this.value!=""){
         $("#hidden-table-info tbody").highlight(this.value);
         }
         });*/

    });
}

function search() {
    var projectName = $("#projectName").val();
    searchProjectStatsDuditNo(projectName);
    $('#hidden-table-info').DataTable().ajax.url(webroot + "Project/getAllArticleTableStartSpaceStatsNo?title=" + title).load();
}

function searchProjectStatsDuditNo(projectName) {
    var url = webroot + "Project/getAllArticleTableStartSpaceStatsNo?projectName=" + projectName;
    $('#hidden-table-info').DataTable().ajax.url(url).load();
}

/**
 * 跳转到查看项目
 * 2017年3月9日16:13:07
 * @author 20170251
 * @param projectID
 * @returns
 */
function getAllProject_show(projectID) {
    window.open(webroot + "TopIndex/showProjectInformationDetail?id=" + projectID + "&spaceMessageID=0");
    /*var data={};
     data['projectID'] = projectID;			//项目ID
     $.ajax({
     type : "POST",
     url : webroot+"Project/getProject",
     data : JSON.stringify(data) ,
     async:false,
     contentType:'application/json;charset=UTF-8',
     success : function(result) {
     if(result.result==true){
     var projectInformation=result.projectInformation;
     $("#startSpace_DIV_title").html(projectInformation.projectShowTitle);
     $("#startSpace_DIV_content").html(projectInformation.projectShowContent);
     $('#StartSpace_DIV').modal('show');
     }

     }
     });*/
}
/**
 * 下载其他附件
 * @returns
 */
function getProjectPlanbookFile(id) {
    window.open(webroot + "File/downFileByFileId?id=" + id);
}
/**
 *
 * 修改状态
 * 空间审核通过
 * 2017年3月10日09:59:20
 * @author 20170251
 * @returns
 */
function setProjectauditYES(projectID) {
    var data = {};
    data['projectID'] = projectID;
    data['starts'] = 1;
    $.ajax({
        type: "POST",
        url: webroot + "Project/setStartEducationStats",
        data: JSON.stringify(data),
        async: false,
        contentType: 'application/json;charset=UTF-8',
        success: function (result) {
            if (result.result == false) {
                //alert(result.msg);
                swal("失败！", result.msg, "error");
            } else {
                //alert(result.msg);
                swal("成功！", result.msg, "success");
//                page_start = ($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始
//                indexAllArticleTableONLINETeam();
                $('#hidden-table-info').DataTable().draw(false);
                changPage();
            }

        }
    });
}
/**
 *
 * 修改状态
 * 空间审核驳回
 * 2017年3月10日10:07:13
 * @author 20170251
 * @returns
 */
function setProjectauditNO(projectID) {
    var projectID = $("#projectID").val();
    var rejectReason = $("#reject_reason").val();
    swal({
            title: "您确定修改状态吗？",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "确定",
            cancelButtonText: "取消",
            closeOnConfirm: false,
            closeOnCancel: false
        },
        function (isConfirm) {
            if (isConfirm) {
                var data = {};
                data['projectID'] = projectID;
                data['starts'] = 2;
                data['rejectReason'] = rejectReason;
                $.ajax({
                    type: "POST",
                    url: webroot + "Project/setStartEducationStats",
                    data: JSON.stringify(data),
                    async: false,
                    contentType: 'application/json;charset=UTF-8',
                    success: function (result) {
                        if (result.result == false) {
                            swal("失败！", result.msg, "error");
                        } else {
                            //alert(result.msg);
                            swal("成功！", result.msg, "success");
//                            page_start = ($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始
//                            indexAllArticleTableONLINETeam();
                            $('#hidden-table-info').DataTable().draw(false);
                            changPage();
                            $('#reject_DIV').modal('hide');
                        }

                    }
                });
            } else {
                $('#reject_DIV').modal('hide');
                swal("已取消", "您已取消操作！", "error");

            }
        });


}
/*
 拒绝原因弹框
 */
function showReject(projectID) {
    $("#reject_reason").val("");
    $("#projectID").val(projectID);
    $('#reject_DIV').modal('show');
}
function hideRejectDiv() {
    $('#reject_DIV').modal('hide');
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页
    if ((iRecordsDisplay - page_start) == 1) {
        if (page_start > 0) {
            oTable.fnPageChange('previous', true);
        }
    }
}