$(function () {
	$('#exercise_DIV_time_div .input-group.date').datepicker({
		todayBtn: "linked",
		keyboardNavigation: false,
		forceParse: false,
		calendarWeeks: true,
		autoclose: true
	});
	all_order();
	getSaveData();
	StatusCheck();
})

// 实现10分钟1次自动保存
var ocarina = self.setInterval("timeCircleSave()",600000);

var processStatus = 0
recordId
var oTable;

// 问卷状态自检
function StatusCheck() {
	if (processStatus === 1){
		$('#goback_btn').hide()
	}else if (processStatus === 2){
		$('#tempSave_btn').hide()
		$('#pass_btn').hide()
		$('#reject_btn').hide()
		$('textarea[name*="question_"]').prop('readonly', true)
	} else if (processStatus === 3){
		$('#rejectLabel').hide();
		$('#rejectReason').hide();
		$('#tempSave_btn').hide()
		$('#pass_btn').hide()
		$('#reject_btn').hide()
		$('textarea[name*="question_"]').prop('readonly', true)
	}
}

// 验证、填数据用列表
var option_list = [
	{ num: 1, name: '1.基本信息', table: '', max: 0 },
	{ num: 2, name: '2.众创空间场地情况', table: '', max: 0  },
	{ num: 3, name: '3.是否租赁场地', table: '', max: 0  },
	{ num: 4, name: '4.众创空间配备专职工作人员情况', table: 'professionalEmploy', max: 20  },
	{ num: 5, name: '5.入孵企业情况', table: 'incubates', max: 80  },
	{ num: 6, name: '6.新增就业情况', table: 'newPost', max: 80  },
	{ num: 7, name: '7.开设创新创业课程情况', table: 'newCourse', max: 20  },
	{ num: 8, name: '8.签约创业导师情况', table: 'newTeacher', max: 40  },
	{ num: 9, name: '9.组织双创活动情况', table: 'activity', max: 13  },
	{ num: 10, name: '10.参赛情况', table: 'competition', max: 5  },
	{ num: 11, name: '11.2021年创新创业工作经费', table: '', max: 0  },
	{ num: 12, name: '12.申报成功高校众创空间联盟发布的创新创业研究课题信息', table: 'twelve', max: 2  },
	{ num: 13, name: '13.在孵企业销售收入或累计合同额情况(表1)', table: 'thirteen', max: 80  },
	{ num: 14, name: '13.本评估周期实现股权或债权融资情况(表2)', table: 'borrow', max: 10  },
	{ num: 15, name: '14.主办或承办市级及以上级别路演、双创周活动', table: 'fourteen', max: 10  },
	{ num: 16, name: '15.在孵企业在OTC高校板挂牌情况', table: 'fifteen', max: 8  },
	{ num: 17, name: '16.在孵企业新增知识产权（包括专利、软著等）', table: 'sixteen', max: 80  },
	{ num: 18, name: '17.获得“互联网+”大赛全国赛事奖项情况', table: 'seventeen', max: 20  },
	{ num: 19, name: '18.获得创客马拉松大赛及市教委组织的其他双创大赛奖项情况', table: 'eighteen', max: 20  },
	{ num: 20, name: '19.入选天津市创业拔尖项目情况', table: 'nineteen', max: 3  },
	{ num: 21, name: '20.是否为国家级备案众创空间', table: ''  },
	{ num: 22, name: '21.是否为国家创业孵化示范基地', table: ''  },
];

var broList = [
	{ option: '1', num: 1},
	{ option: '2', num: 1},
	{ option: '3', num: 1},
	{ option: '4', num: 1},
	{ option: '5', num: 2},
	{ option: '6', num: 2},
	{ option: '7', num: 3},
	{ option: '8', num: 3},
	{ option: '9', num: 4},
	{ option: '10', num: 4},
	{ option: '11', num: 4},
	{ option: '12', num: 4},
	{ option: '13', num: 4},
	{ option: '14', num: 4},
	{ option: '15', num: 4},
	{ option: '16', num: 5},
	{ option: '17', num: 5},
	{ option: '18', num: 5},
	{ option: '19', num: 5},
	{ option: '20', num: 5},
	{ option: '21', num: 6},
	{ option: '22', num: 6},
	{ option: '23', num: 6},
	{ option: '24', num: 6},
	{ option: '25', num: 7},
	{ option: '26', num: 7},
	{ option: '27', num: 7},
	{ option: '28', num: 7},
	{ option: '29', num: 7},
	{ option: '30', num: 7},
	{ option: '31', num: 7},
	{ option: '32', num: 7},
	{ option: '35', num: 8},
	{ option: '36', num: 8},
	{ option: '37', num: 8},
	{ option: '38', num: 8},
	{ option: '39', num: 8},
	{ option: '40', num: 8},
	{ option: '41', num: 8},
	{ option: '42', num: 8},
	{ option: '43', num: 8},
	{ option: '44', num: 8},
	{ option: '45', num: 8},
	{ option: '46', num: 8},
	{ option: '47', num: 8},
	{ option: '48', num: 8},
	{ option: '49', num: 8},
	{ option: '50', num: 8},
	{ option: '51', num: 8},
	{ option: '52', num: 9},
	{ option: '53', num: 9},
	{ option: '54', num: 9},
	{ option: '55', num: 9},
	{ option: '56', num: 9},
	{ option: '57', num: 10},
	{ option: '58', num: 10},
	{ option: '59', num: 10},
	{ option: '60', num: 11},
	{ option: '61', num: 11}
];
var tableOptionsList = [
	{ option: '9', num: 4},
	{ option: '10', num: 4},
	{ option: '11', num: 4},
	{ option: '12', num: 4},
	{ option: '13', num: 4},
	{ option: '14', num: 4},
	{ option: '16', num: 5},
	{ option: '17', num: 5},
	{ option: '18', num: 5},
	{ option: '19', num: 5},
	{ option: '20', num: 5},
	{ option: '21', num: 6},
	{ option: '22', num: 6},
	{ option: '23', num: 6},
	{ option: '24', num: 6},
	{ option: '25', num: 7},
	{ option: '26', num: 7},
	{ option: '27', num: 7},
	{ option: '28', num: 7},
	{ option: '29', num: 7},
	{ option: '30', num: 7},
	{ option: '31', num: 7},
	{ option: '32', num: 7},
	{ option: '33', num: 7},
	{ option: '34', num: 7},
	{ option: '35', num: 8},
	{ option: '36', num: 8},
	{ option: '37', num: 8},
	{ option: '38', num: 8},
	{ option: '39', num: 8},
	{ option: '40', num: 8},
	{ option: '41', num: 8},
	{ option: '42', num: 8},
	{ option: '43', num: 8},
	{ option: '44', num: 8},
	{ option: '45', num: 8},
	{ option: '46', num: 8},
	{ option: '47', num: 8},
	{ option: '48', num: 8},
	{ option: '49', num: 8},
	{ option: '50', num: 8},
	{ option: '51', num: 8},
	{ option: '52', num: 9},
	{ option: '53', num: 9},
	{ option: '54', num: 9},
	{ option: '55', num: 9},
	{ option: '56', num: 9},
	{ option: '57', num: 10},
	{ option: '58', num: 10},
	{ option: '59', num: 10},
	{ option: '62', num: 12},
	{ option: '63', num: 12},
	{ option: '64', num: 12},
	{ option: '65', num: 13},
	{ option: '66', num: 13},
	{ option: '67', num: 13},
	{ option: '68', num: 14},
	{ option: '69', num: 14},
	{ option: '70', num: 14},
	{ option: '71', num: 14},
	{ option: '72', num: 15},
	{ option: '73', num: 15},
	{ option: '74', num: 15},
	{ option: '75', num: 16},
	{ option: '76', num: 16},
	{ option: '77', num: 17},
	{ option: '78', num: 17},
	{ option: '79', num: 17},
	{ option: '80', num: 17},
	{ option: '81', num: 17},
	{ option: '82', num: 18},
	{ option: '83', num: 18},
	{ option: '84', num: 18},
	{ option: '85', num: 18},
	{ option: '86', num: 18},
	{ option: '87', num: 19},
	{ option: '88', num: 19},
	{ option: '89', num: 19},
	{ option: '90', num: 19},
	{ option: '91', num: 19},
	{ option: '92', num: 19},
	{ option: '93', num: 20},
	{ option: '94', num: 20},
	{ option: '95', num: 20},
	{ option: '96', num: 20}
];

// 问卷全部数据
var formData=[];

// 各表格序号-总方法
function all_order() {
	employ_order();
	incubates_order();
	newPost_order();
	newCourse_order();
	newTeacher_order();
	activity_order();
	competition_order();
	twelve_order();
	thirteen_order();
	borrow_order();
	fourteen_order();
	fifteen_order();
	sixteen_order();
	seventeen_order();
	eighteen_order();
	nineteen_order();
}

// 各表格序号计数方法
function employ_order() {
	var i = 1;
	$(".professionalEmploy_num").each(function(){
		$(this).html(i++);
	})
}
function incubates_order() {
	var i = 1;
	$(".incubates_num").each(function(){
		$(this).html(i++);
	})
}
function newPost_order() {
	var i = 1;
	$(".newPost_num").each(function(){
		$(this).html(i++);
	})
}
function newCourse_order() {
	var i = 1;
	$(".newCourse-num").each(function(){
		$(this).html(i++);
	})
}
function newTeacher_order() {
	var i = 1;
	$(".newTeacher-num").each(function(){
		$(this).html(i++);
	})
}
function activity_order() {
	var i = 1;
	$(".activity-num").each(function(){
		$(this).html(i++);
	})
}
function competition_order() {
	var i = 1;
	$(".competition-num").each(function(){
		$(this).html(i++);
	})
}
function twelve_order() {
	var i = 1;
	$(".twelve-num").each(function(){
		$(this).html(i++);
	})
}
function thirteen_order() {
	var i = 1;
	$(".thirteen-num").each(function(){
		$(this).html(i++);
	})
}
function borrow_order() {
	var i = 1;
	$(".borrow-num").each(function(){
		$(this).html(i++);
	})
}
function fourteen_order() {
	var i = 1;
	$(".fourteen-num").each(function(){
		$(this).html(i++);
	})
}
function fifteen_order() {
	var i = 1;
	$(".fifteen-num").each(function(){
		$(this).html(i++);
	})
}
function sixteen_order() {
	var i = 1;
	$(".sixteen-num").each(function(){
		$(this).html(i++);
	})
}
function seventeen_order() {
	var i = 1;
	$(".seventeen-num").each(function(){
		$(this).html(i++);
	})
}
function eighteen_order() {
	var i = 1;
	$(".eighteen-num").each(function(){
		$(this).html(i++);
	})
}
function nineteen_order() {
	var i = 1;
	$(".nineteen-num").each(function(){
		$(this).html(i++);
	})
}

// 获取表格当前行数
function countTable(table, standard, max){
	var tableNameText = '.'.concat(table)
	var firstRowText = table.concat('-1')
	var tempTable = $(tableNameText);
	if (standard > max || standard <= tempTable.find("tr").length - 1) {
		return;
	}
	var intialNum = tempTable.find("tr").length - 1
	for(;intialNum < standard;){
		if (tempTable.find("tr").length - 1 < standard) {
			fun(tableNameText, firstRowText, max);
			intialNum++
		}
	}

}

// 表格加行方法
function fun(table, row1, max){
	//增加一行,克隆第一个对象
	var $tempRow = $('#' + row1);
	var tempTable = $(table);
	if (tempTable.find("tr").length - 1 < max) {
		var $td = $tempRow.clone();
		$(tempTable).append($td);
		all_order();
		$("table tr:last").find(":input").val('');   //将尾行元素克隆来的保存的值清空
	}
}

// 表格删除当前行方法
function del($td, limit){
	//移除最后一行,并且保留前两行
	var $tr;
	$tr = $($td.parentNode).parent();
	if ($tr.prevAll().length + 1 > limit) {
		$tr.remove();
		all_order();
	}
}

// 下载多文件
function downloadMultiFiles(optionId){
	//虚拟iframe实现无刷新下载文件 get传参
	var url=webroot+"questionnaire/downZipByFileId?optionId="+optionId+"&questionnaireUuid=1&recordId="+recordId;
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}

// 获取暂存数据
function getSaveData() {
	// var param = {
	// 	questionnaireUuid: 1,
	// 	recordId: parseInt(recordId)
	// }
	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/selectDetails?questionnaireUuid=1&recordId="+recordId,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			processStatus = result.data.processStatus
			if(result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
				return;
			}
			$(document).ready(function () {
				$('[name*="option_"]').each(function () {
					var tempOption = $(this).attr('name').replace('option_', '');
					result.data.answerList.forEach(item => {
						if (item.optionsId == tempOption) {
							if (item.group > 1) {
								tableOptionsList.forEach(i => {
									if (tempOption === i.option){
										option_list.forEach(opt => {
											if (i.num === opt.num){
												countTable(opt.table, item.group, opt.max);
												var tempName = $(this).attr('name')
												$("[name="+tempName+"]").each(function () {
													if($(this.parentNode).parent("tr").prevAll().length + 1 === item.group){
														$(this).html(item.value)
														$(this).attr('title', item.value)
														return false;
													}
												})
											}
										})
									}
								})
							}
							else if ($(this.parentNode).parent("tr").prevAll().length + 1 === 1){
								$(this).html(item.value)
								$(this).attr('title', item.value)
							}
						}
					})
				})

				result.data.answerList.forEach(item => {
					if (item.optionsId === 8){
						tempImgList.push(item);
					}
				})
				img_DIV_List_Show();

				if (result.data.reviews) {
					$(document).ready(function () {
						$('[name*="question_"]').each(function () {
							var tempOption = $(this).attr('name').replace('question_', '');
							result.data.reviews.forEach(item => {
								if (item.questionsId == tempOption) {
									$(this).val(item.remark)
								}
							})
						})
					});
				}

				$('#rejectReason').val(result.data.reason)
			});
		}
	});
}

var tempImgList = new Array();

function img_DIV_List_Show() {
	var prehtml = "";
	for(var file_i in tempImgList) {
		prehtml += "<div>";
		prehtml += "<div class=\"col-sm-8\">";
		prehtml += '<img src="'+tempImgList[file_i].value+'" width="150px" height="100px" />';
		prehtml += "<label onclick=\"previews('"+tempImgList[file_i].value+"')\">预览</label>";
		prehtml += "<label onclick=\"file_DIV_delete_8('"+tempImgList[file_i].group+"')\" style='margin-left: 15px'>删除</label>";
		prehtml += "</div>";
		prehtml += "</div>";
	}
	$("#file_DIV_List_Show_8").html(prehtml);
}

// 图片预览
function previews(url) {
	window.open(`${window.location.origin}${url}`)
}

function saveQuestionnaire(isAuto){
	$(document).ready(function () {
		var rejectReason = ''
		$('textarea[name*="question_"]').each(function () {
			if ($(this)[0].value){
				var tempObj = {};
				if ($(this).attr('name').replace('question_', '') === '22'){
					rejectReason = $(this)[0].value;
				} else {
					tempObj['questionsId'] = $(this).attr('name').replace('question_', '');
					tempObj['recordId'] = recordId
					tempObj['remark'] = $(this)[0].value;
					formData.push(tempObj)
				}
			}
		});
	});

	var param = {
		reviews: formData
	};

	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/review",
		data : JSON.stringify(param),
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				if (isAuto === 1) {
					layer.msg('已自动暂存');
				} else {
					swal("成功！", '暂存成功', "success");
				}
			}
		}
	});
}

// 定时自动暂存
function timeCircleSave() {
	saveQuestionnaire(1);
}

function passQuestionnaire(){
	$(document).ready(function () {
		$('textarea[name*="question_"]').each(function () {
			if ($(this)[0].value){
				var tempObj = {};
				if ($(this).attr('name').replace('question_', '') === '22'){
					rejectReason = $(this)[0].value;
				} else {
					tempObj['questionsId'] = $(this).attr('name').replace('question_', '');
					tempObj['recordId'] = recordId
					tempObj['remark'] = $(this)[0].value;
					formData.push(tempObj)
				}
			}
		});
	});

	var param = {
		id: parseInt(recordId),
		questionnaireUuid: 1,
		processStatus: 3,
		reviewList: formData
	};

	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/checkReject",
		data : JSON.stringify(param),
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				swal("成功！", '通过成功', "success");
				history.go(-1);
			}else{
				swal("失败！", result.msg, "error");
			}
		}
	});
}

function rejectQuestionnaire(){
	formData = []
	var rejectReason = '';
	if($('#rejectReason')[0].value == ''){
		swal("失败！", '未填写驳回原因', "error");
		return;
	}
	$(document).ready(function () {
		$('textarea[name*="question_"]').each(function () {
			if ($(this)[0].value){
				var tempObj = {};
				if ($(this).attr('name').replace('question_', '') === '22'){
					rejectReason = $(this)[0].value;
				} else {
					tempObj['questionsId'] = $(this).attr('name').replace('question_', '');
					tempObj['recordId'] = recordId
					tempObj['remark'] = $(this)[0].value;
					formData.push(tempObj)
				}
			}
		});
	});

	var param = {
		id: recordId,
		questionnaireUuid: 1,
		reason: rejectReason,
		processStatus: 2,
		reviewList: formData
	};

	$.ajax({
		type : "POST",
		url : webroot+"questionnaire/checkReject",
		data : JSON.stringify(param),
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				swal("成功！", '驳回成功', "success");
				history.go(-1);
			}else{
				swal("失败！", result.msg, "error");
			}
		}
	});
}

function gobcak(){
	history.go(-1);
}

