$(function () {
	indexAllArticleTableONLINETeam();
	
})

function indexAllArticleTableONLINETeam()
{
	 $(document).ready(function() {
		    var oTable = $('#hidden-table-info').dataTable( {
	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },



                "ajax": {  //ajax方式向后台发送请求
                    "type": "POST",
                    "url": webroot+"teamMessage/getAllTeamTableOFFLINESpace",
                    "dataType": "json"
                },
                "columns": [//对接收到的json格式数据进行处理，data为json中对应的key
                    { "sTitle": "团队编号",   "mData": "teamID" },
                    { "sTitle": "团队名称",   "mData": "teamName" },
                    { "sTitle": "所属空间",  "mData": "spaceMessage" },
                    { "sTitle": "空间编号",  "mData": "spaceShowID" },
                    { "sTitle": "团队负责人姓名",  "mData": "memberName" },
                    { "sTitle": "团队人数(名)",  "mData": "teamNumber" },
                    { "sTitle": "是否注册企业",  "mData": "companyRegisterIF" },
                    { "sTitle": "带动就业人数(名)",  "mData": "employmentNumber" },
                    { "sTitle": "资质数量(个)",  "mData": "aptitudeNumber" },
                    { "sTitle": "知识产权数量(个)",  "mData": "intellectualPropertyNumber" },
                    { "sTitle": "投融资总额(万)",  "mData": "financingMoneyNumber" },
                    { "sTitle": "获奖数量(个)",  "mData": "bearPalmNumber" }

                ],
                "oLanguage" : { // 国际化配置
                    "sProcessing" : "正在获取数据，请稍后...",
                    "sLengthMenu" : "每页 _MENU_ 条记录",
                    "sZeroRecords" : "没有找到数据",
                    "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                    "sInfoEmpty" : "记录数为0",
                    "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                    "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                    "sUrl" : "",
                    "oPaginate" : {
                        "sFirst" : "第一页",
                        "sPrevious" : "上一页",
                        "sNext" : "下一页",
                        "sLast" : "最后一页"
                    }
                },
            } );
		        /*"aoColumnDefs": [
		            { "bSortable": false, "aTargets": [ 10 ] }
		        ],*/
		       /* "oLanguage": {
					           "sEmptyTable": "无目录数据！",
					           "sInfoFiltered":"(全部有 _MAX_ 条数据)"
					         },
		        "aaSorting": [[0, 'asc']],
		        "bDestroy": true,
		        "aoColumns": [

		           { "sTitle": "团队编号",   "mData": "teamID" },
		           { "sTitle": "团队名称",   "mData": "teamName" },
		           { "sTitle": "所属空间",  "mData": "spaceMessage" },
		           { "sTitle": "空间编号",  "mData": "spaceShowID" },
		           { "sTitle": "团队负责人姓名",  "mData": "memberName" },
		           { "sTitle": "团队人数(名)",  "mData": "teamNumber" },
		           { "sTitle": "是否注册企业",  "mData": "companyRegisterIF" },
		           { "sTitle": "带动就业人数(名)",  "mData": "employmentNumber" },
		           { "sTitle": "资质数量(个)",  "mData": "aptitudeNumber" },
		           { "sTitle": "知识产权数量(个)",  "mData": "intellectualPropertyNumber" },
		           { "sTitle": "投融资总额(万)",  "mData": "financingMoneyNumber" },
		           { "sTitle": "获奖数量(个)",  "mData": "bearPalmNumber" }
		         /!*  ,{ "sTitle": "操作", "mData": "editable","width": "150px","searchable": false}*!/
		        ],
				"sAjaxSource":webroot+"teamMessage/getAllTeamTableOFFLINESpace",
				"sAjaxDataProp": "list"
		    });
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	} */
			    });
}
function search(){
    var teamName=$("#teamName").val();
    $('#hidden-table-info').DataTable().ajax.url( webroot+"teamMessage/getAllTeamTableOFFLINESpace?teamName="+teamName).load();
}
function getAllTeam_show(teamid){
	window.location.href=webroot+"goto/education/team_information?team_id="+teamid;
}

/**
 * 导出项目
 * @returns
 */
function project_DIV_Derive(){
	downloadFile(webroot+"teamMessage/deriveTeamOFFLINE");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}